Scriptname SLDN2_FollowerSpellScript extends activemagiceffect  

Faction Property CurrentFollowerFaction Auto
Faction Property SLDN2_FollowerFaction Auto
SLDN2_upkeep Property SLDN2 Auto

Event OnEffectStart(Actor akTarget, Actor akCaster)
if akTarget.IsInFaction(CurrentFollowerFaction) == true
	Debug.Notification("SLDN2: This actor is already a member of CurrentFollowerFaction")
elseIf akTarget.IsInFaction(SLDN2_FollowerFaction) == true
	Debug.Notification("SLDN2: This actor is already a member of SLDN2_FollowerFaction")
else
	akTarget.AddToFaction(SLDN2_FollowerFaction)
	If SLDN2.CustomFollower1 == none
		SLDN2.CustomFollower1 = akTarget
		Debug.Notification( akTarget.GetLeveledActorBase().GetName() + " has been added as custom follower 1.")
	elseif SLDN2.CustomFollower2 == none
		SLDN2.CustomFollower2 = akTarget
		Debug.Notification( akTarget.GetLeveledActorBase().GetName() + " has been added as custom follower 2.")
	elseif SLDN2.CustomFollower3 == none
		SLDN2.CustomFollower3 = akTarget
		Debug.Notification( akTarget.GetLeveledActorBase().GetName() + " has been added as custom follower 3.")
	elseif SLDN2.CustomFollower4 == none
		SLDN2.CustomFollower4 = akTarget
		Debug.Notification( akTarget.GetLeveledActorBase().GetName() + " has been added as custom follower 4.")
	elseif SLDN2.CustomFollower5 == none
		SLDN2.CustomFollower5 = akTarget
		Debug.Notification( akTarget.GetLeveledActorBase().GetName() + " has been added as custom follower 5.")
	elseif SLDN2.CustomFollower6 == none
		SLDN2.CustomFollower6 = akTarget
		Debug.Notification( akTarget.GetLeveledActorBase().GetName() + " has been added as custom follower 6.")
	else
		Debug.Notification("SLDN2: All custom-follower slots are currently used.")
		Debug.Notification("SLDN2: Delete one via the MCM to fill a new follower.")
	endif
endif

EndEvent