Scriptname SLDN2_mcm extends SKI_ConfigBase

SPELL Property SLDN2_SaveLocSpell auto
SPELL Property SLDN2_PlayerHouseSpell auto
SPELL Property SLDN2_FollowerSpell auto
SLDN2_upkeep Property SLDN2 auto
Faction Property SLDN2_CustomFollowerFaction auto
GlobalVariable Property SLDN2_PlayerMinArousal auto
GlobalVariable property SLDN2_PlayerMaxArousal auto

int enabledOID
int citiesOID
int civilizedOID
int dangerousOID
int wildernessOID
int creaturesOID
int creatureChanceOID
int NoSpidersOID
int NoChaurusOID
int OrgyOID
int FollowerOID
int TraitorsOID
int FollowerOnlyOID
int FemalesOnlyOID
int SaveSpellOID
int HomeSpellOID
int FollowerSpellOID
int AltFemAnimOID
int ResetOID
int moralOID
int guardOID
int wolvesOID
int CustomSave1OID
int CustomSave2OID
int CustomSave3OID
int CustomSave4OID
int CustomSave5OID
int CustomSave6OID
int CustomSave7OID
int CustomSave8OID
int CustomSave9OID
int CustomSave10OID
int CustomHome1OID
int CustomHome2OID
int CustomHome3OID
int CustomHome4OID
int CustomHome5OID
int CustomHome6OID
int CustomHome7OID
int CustomHome8OID
int CustomHome9OID
int CustomHome10OID
int CustomFollower1OID
int CustomFollower2OID
int CustomFollower3OID
int CustomFollower4OID
int CustomFollower5OID
int CustomFollower6OID
int PlayerMinArousalOID
int PlayerMaxArousalOID
int GuardArousalOID
int TraitorChanceOID
int ScanOID
int genderOID
int commentsOID
int nakedOID
int currentarmorOID
int sleepoutfitOID
int noescapeOID
int dialougeOID
int wakeupOID

Bool property enabled = true auto
float property cities = 5.0 auto
float property civilized = 15.0 auto
float property dangerous = 80.0 auto
float property wilderness = 50.0 auto
Bool property creatures = true auto
float property creatureChance = 50.0 auto
Bool property NoSpiders = false auto
Bool property NoChaurus = false auto
float property Orgy = 50.0 auto
Bool property Follower = true auto
Bool property Traitors = true auto
Bool property SaveSpell = false auto
Bool property HomeSpell = false auto
Bool property FollowerSpell = false auto
Bool property FollowerOnly = false auto
Bool property FemalesOnly = false auto
Bool property AltFemAnim = false auto
String property reset = "Click" auto
String property moral = "Low" auto
String property CustomSave1 = "Delete" auto
String property CustomSave2= "Delete" auto
String property CustomSave3 = "Delete" auto
String property CustomSave4 = "Delete" auto
String property CustomSave5 = "Delete" auto
String property CustomSave6 = "Delete" auto
String property CustomSave7 = "Delete" auto
String property CustomSave8 = "Delete" auto
String property CustomSave9 = "Delete" auto
String property CustomSave10 = "Delete" auto
String property CustomHome1 = "Delete" auto
String property CustomHome2 = "Delete" auto
String property CustomHome3 = "Delete" auto
String property CustomHome4 = "Delete" auto
String property CustomHome5 = "Delete" auto
String property CustomHome6 = "Delete" auto
String property CustomHome7 = "Delete" auto
String property CustomHome8 = "Delete" auto
String property CustomHome9 = "Delete" auto
String property CustomHome10 = "Delete" auto
String property CustomFollower1 = "Delete" auto
String property CustomFollower2 = "Delete" auto
String property CustomFollower3 = "Delete" auto
String property CustomFollower4 = "Delete" auto
String property CustomFollower5 = "Delete" auto
String property CustomFollower6 = "Delete" auto
Bool property Guard = false auto
Bool property wolves = false auto
float property PlayerMinArousal = 25.0 auto
float property PlayerMaxArousal = 70.0 auto
float property GuardArousal = 60.0 auto
float property TraitorChance = 30.0 auto
String property scan = "spawn only" auto
String property gender = "both" auto
Bool property comments = true auto
Bool property naked = true auto
Bool property sleepoutfit = false auto
String property currentarmor = "" auto
Bool property noescape = false auto
float property dialouge = 35.0 auto
Bool property wakeup = false auto

int function GetVersion()
    return 3
endFunction

event OnVersionUpdate(int a_version)
	if (a_version >= 1 && CurrentVersion < 1)
    Pages = new string[4]
    Pages[0] = "General Settings"
    Pages[1] = "Creatures"
    Pages[2] = "Follower"
    Pages[3] = "Debug"
	endIf
endEvent

event OnConfigInit()
    Pages = new string[4]
    Pages[0] = "General Settings"
    Pages[1] = "Creatures"
    Pages[2] = "Follower"
    Pages[3] = "Debug"
endEvent

event OnPageReset(string Page)

if page == ""
	LoadCustomContent("DangerousNights2/Logo.dds", 0, 0)
	return
else
	UnloadCustomContent()
endIf

SetCursorFillMode(TOP_TO_BOTTOM)

if page == "General Settings"
	AddHeaderOption("Dangerous Nights 2 by Guffel")
	AddEmptyOption()
	enabledOID = AddToggleOption("Enabled", enabled)
	if enabled == true
		citiesOID = addslideroption("Player homes:", cities, "{0} %")
		civilizedOID = addslideroption("Civilized areas:", civilized, "{0} %")
		dangerousOID = addslideroption("Dangerous areas:", dangerous, "{0} %")
		wildernessOID = addslideroption("Wilderness:", wilderness, "{0} %")
		orgyOID = addslideroption("Chance of an orgy animation:", orgy, "{0} %")
		AltFemAnimOID = AddToggleOption("Alt. animation for female attacker:", AltFemAnim)
		genderOID = AddTextOption("Attacker gender:", gender)
		moralOID = AddTextOption("Attacker moral:", moral)
		scanOID = AddTextOption("Surroundings scan:", scan)
		
		SetCursorPosition(1)
		SetCursorFillMode(TOP_TO_BOTTOM)
		
		PlayerMinArousalOID = addslideroption("Lower Player Arousal Threshold:", PlayerMinArousal, "{0}")
		PlayerMaxArousalOID = addslideroption("Upper Player Arousal Threshold:", PlayerMaxArousal, "{0}")
		commentsOID = AddToggleOption("Describing comments:", comments)
		nakedOID = AddToggleOption("Sleeping naked:", naked)
		sleepoutfitOID = AddToggleOption("Use sleepoutfit:", sleepoutfit)
		currentarmorOID = AddTextOption("Current sleepoutfit: ", currentarmor)
		noescapeOID = AddToggleOption("No attacker escape:", noescape)
		dialougeOID = addslideroption("Chance an attacher talks to you:", dialouge, "{0} %")
	else
		citiesOID = addslideroption("Player homes:", cities, "{0} %", OPTION_FLAG_DISABLED)
		civilizedOID = addslideroption("Civilized areas:", civilized, "{0} %", OPTION_FLAG_DISABLED)
		dangerousOID = addslideroption("Dangerous areas:", dangerous, "{0} %", OPTION_FLAG_DISABLED)
		wildernessOID = addslideroption("Wilderness:", wilderness, "{0} %", OPTION_FLAG_DISABLED)
		orgyOID = addslideroption("Chance of and orgy animation:", orgy, "{0} %", OPTION_FLAG_DISABLED)
		AltFemAnimOID = AddToggleOption("Alt. animation for female attacker:", AltFemAnim, OPTION_FLAG_DISABLED)
		genderOID = AddTextOption("Attacker gender:", gender, OPTION_FLAG_DISABLED)
		moralOID = AddTextOption("Attacker moral:", moral, OPTION_FLAG_DISABLED)
		scanOID = AddTextOption("Surroundings scan:", scan, OPTION_FLAG_DISABLED)
		
		SetCursorPosition(1)
		SetCursorFillMode(TOP_TO_BOTTOM)
		
		PlayerMinArousalOID = addslideroption("Lower Player Arousal Threshold:", PlayerMinArousal, "{0}", OPTION_FLAG_DISABLED)
		PlayerMaxArousalOID = addslideroption("Upper Player Arousal Threshold:", PlayerMaxArousal, "{0}", OPTION_FLAG_DISABLED)
		commentsOID = AddToggleOption("Describing comments:", comments, OPTION_FLAG_DISABLED)
		nakedOID = AddToggleOption("Sleeping naked:", naked, OPTION_FLAG_DISABLED)
		sleepoutfitOID = AddToggleOption("Use sleepoutfit:", sleepoutfit, OPTION_FLAG_DISABLED)
		currentarmorOID = AddTextOption("Current sleepoutfit: ", currentarmor, OPTION_FLAG_DISABLED)
		noescapeOID = AddToggleOption("No attacker escape:", noescape, OPTION_FLAG_DISABLED)
		dialougeOID = addslideroption("Chance an attacher talks to you:", dialouge, "{0} %", OPTION_FLAG_DISABLED)
	endif
elseif page == "Creatures" 
	if enabled == true
		CreaturesOID = AddToggleOption("Allow creatures:", creatures)
		CreatureChanceOID = addslideroption("Chance of creatures:", CreatureChance, "{0} %")
		NoSpidersOID = AddToggleOption("No spiders:", NoSpiders)
		NoChaurusOID = AddToggleOption("No chaurus:", NoChaurus)
		wolvesOID = AddToggleOption("No wolves:", wolves)
	else
		CreaturesOID = AddToggleOption("Allow creatures:", creatures, OPTION_FLAG_DISABLED)
		CreatureChanceOID = addslideroption("Chance of creatures:", CreatureChance, "{0} %", OPTION_FLAG_DISABLED)
		NoSpidersOID = AddToggleOption("No spiders:", NoSpiders, OPTION_FLAG_DISABLED)
		NoChaurusOID = AddToggleOption("No chaurus:", NoChaurus, OPTION_FLAG_DISABLED)
		wolvesOID = AddToggleOption("No wolves:", wolves, OPTION_FLAG_DISABLED)
	endif
elseif page == "Follower" 
	if enabled == true
		FollowerOID = AddToggleOption("Allow follower as victims:", Follower)
		TraitorsOID = AddToggleOption("Allow follower to be attacker:", Traitors)
		TraitorChanceOID = addslideroption("Chance a follower turns on you:", TraitorChance, "{0} %")
		GuardOID = AddToggleOption("Remember guard:", Guard)
		FollowerOnlyOID = AddToggleOption("Follower only", FollowerOnly)
		FemalesOnlyOID = AddToggleOption("Females only", FemalesOnly)
		GuardArousalOID = addslideroption("Guard arousal threshold", GuardArousal, "{0}")
	else
		FollowerOID = AddToggleOption("Allow follower as victims", Follower, OPTION_FLAG_DISABLED)
		TraitorsOID = AddToggleOption("Allower follower to be attacker", Traitors, OPTION_FLAG_DISABLED)
		TraitorChanceOID = addslideroption("Chance a follower turns on you:", TraitorChance, "{0} %", OPTION_FLAG_DISABLED)
		GuardOID = AddToggleOption("Remember guard", Guard, OPTION_FLAG_DISABLED)
		FollowerOnlyOID = AddToggleOption("Follower only", FollowerOnly, OPTION_FLAG_DISABLED)
		FemalesOnlyOID = AddToggleOption("Females only", FemalesOnly, OPTION_FLAG_DISABLED)
		GuardArousalOID = addslideroption("Guard arousal threshold", GuardArousal, "{0}", OPTION_FLAG_DISABLED)
	endif
elseif page == "Debug" 
	CustomSave1 = "Delete"
	CustomSave2= "Delete"
	CustomSave3 = "Delete"
	CustomSave4 = "Delete"
	CustomSave5 = "Delete"
	CustomSave6 = "Delete"
	CustomSave7 = "Delete"
	CustomSave8 = "Delete"
	CustomSave9 = "Delete"
	CustomSave10 = "Delete"
	CustomHome1 = "Delete"
	CustomHome2 = "Delete"
	CustomHome3 = "Delete"
	CustomHome4 = "Delete"
	CustomHome5 = "Delete"
	CustomHome6 = "Delete"
	CustomHome7 = "Delete"
	CustomHome8 = "Delete"
	CustomHome9 = "Delete"
	CustomHome10 = "Delete"
	CustomFollower1 = "Delete"
	CustomFollower2 = "Delete"
	CustomFollower3 = "Delete"
	CustomFollower4 = "Delete"
	CustomFollower5 = "Delete"
	CustomFollower6 = "Delete"
	SaveSpellOID = AddToggleOption("Save Location Spell", SaveSpell)
	HomeSpellOID = AddToggleOption("Player Home Spell", HomeSpell)
	FollowerSpellOID = AddToggleOption("Make Follower Spell", FollowerSpell)
	wakeupOID = AddToggleOption("No wakeup animation:", wakeup)
	;reset = "Click"
	;ResetOID = AddTextOption("Reset", reset)
	SetCursorFillMode(TOP_TO_BOTTOM)
	AddHeaderOption("Custom Follower")
	CustomFollower1OID = AddTextOption(SLDN2.CustomFollower1.GetLeveledActorBase().GetName(), CustomFollower1)
	CustomFollower2OID = AddTextOption(SLDN2.CustomFollower2.GetLeveledActorBase().GetName(), CustomFollower2)
	CustomFollower3OID = AddTextOption(SLDN2.CustomFollower3.GetLeveledActorBase().GetName(), CustomFollower3)
	CustomFollower4OID = AddTextOption(SLDN2.CustomFollower4.GetLeveledActorBase().GetName(), CustomFollower4)
	CustomFollower5OID = AddTextOption(SLDN2.CustomFollower5.GetLeveledActorBase().GetName(), CustomFollower5)
	CustomFollower6OID = AddTextOption(SLDN2.CustomFollower6.GetLeveledActorBase().GetName(), CustomFollower6)
	SetCursorPosition(1)
	SetCursorFillMode(TOP_TO_BOTTOM)
	AddHeaderOption("Custom Homes")
	if SLDN2.CustomHome1.IsInterior() == true || SLDN2.CustomHome1 == none
		CustomHome1OID = AddTextOption(SLDN2.CustomHome1.GetName(), CustomHome1)
	else
		CustomHome1OID = AddTextOption("Unkown Exterior Cell", CustomHome1)
	endif
	if SLDN2.CustomHome2.IsInterior() == true || SLDN2.CustomHome2 == none
		CustomHome2OID = AddTextOption(SLDN2.CustomHome2.GetName(), CustomHome2)
	else
		CustomHome2OID = AddTextOption("Unkown Exterior Cell", CustomHome2)
	endif
	if SLDN2.CustomHome3.IsInterior() == true || SLDN2.CustomHome3 == none
		CustomHome3OID = AddTextOption(SLDN2.CustomHome3.GetName(), CustomHome3)
	else
		CustomHome3OID = AddTextOption("Unkown Exterior Cell", CustomHome3)
	endif
	if SLDN2.CustomHome4.IsInterior() == true || SLDN2.CustomHome4 == none
		CustomHome4OID = AddTextOption(SLDN2.CustomHome4.GetName(), CustomHome4)
	else
		CustomHome4OID = AddTextOption("Unkown Exterior Cell", CustomHome4)
	endif
	if SLDN2.CustomHome5.IsInterior() == true || SLDN2.CustomHome5 == none
		CustomHome5OID = AddTextOption(SLDN2.CustomHome5.GetName(), CustomHome5)
	else
		CustomHome5OID = AddTextOption("Unkown Exterior Cell", CustomHome5)
	endif
	if SLDN2.CustomHome6.IsInterior() == true || SLDN2.CustomHome6 == none
		CustomHome6OID = AddTextOption(SLDN2.CustomHome6.GetName(), CustomHome6)
	else
		CustomHome6OID = AddTextOption("Unkown Exterior Cell", CustomHome6)
	endif
	if SLDN2.CustomHome7.IsInterior() == true || SLDN2.CustomHome7 == none
		CustomHome7OID = AddTextOption(SLDN2.CustomHome7.GetName(), CustomHome7)
	else
		CustomHome7OID = AddTextOption("Unkown Exterior Cell", CustomHome7)
	endif
	if SLDN2.CustomHome8.IsInterior() == true || SLDN2.CustomHome8 == none
		CustomHome8OID = AddTextOption(SLDN2.CustomHome8.GetName(), CustomHome8)
	else
		CustomHome8OID = AddTextOption("Unkown Exterior Cell", CustomHome8)
	endif
	if SLDN2.CustomHome9.IsInterior() == true || SLDN2.CustomHome9 == none
		CustomHome9OID = AddTextOption(SLDN2.CustomHome9.GetName(), CustomHome9)
	else
		CustomHome9OID = AddTextOption("Unkown Exterior Cell", CustomHome9)
	endif
	if SLDN2.CustomHome10.IsInterior() == true || SLDN2.CustomHome10 == none
		CustomHome10OID = AddTextOption(SLDN2.CustomHome10.GetName(), CustomHome10)
	else
		CustomHome10OID = AddTextOption("Unkown Exterior Cell", CustomHome10)
	endif
	AddHeaderOption("Save Locations")
	if SLDN2.CustomSave1.IsInterior() == true || SLDN2.CustomSave1 == none
		CustomSave1OID = AddTextOption(SLDN2.CustomSave1.GetName(), CustomSave1)
	else
		CustomSave1OID = AddTextOption("Unkown Exterior Cell", CustomSave1)
	endif
	if SLDN2.CustomSave2.IsInterior() == true || SLDN2.CustomSave2 == none
		CustomSave2OID = AddTextOption(SLDN2.CustomSave2.GetName(), CustomSave2)
	else
		CustomSave2OID = AddTextOption("Unkown Exterior Cell", CustomSave2)
	endif
	if SLDN2.CustomSave3.IsInterior() == true || SLDN2.CustomSave3 == none
		CustomSave3OID = AddTextOption(SLDN2.CustomSave3.GetName(), CustomSave3)
	else
		CustomSave3OID = AddTextOption("Unkown Exterior Cell", CustomSave3)
	endif
	if SLDN2.CustomSave4.IsInterior() == true || SLDN2.CustomSave4 == none
		CustomSave4OID = AddTextOption(SLDN2.CustomSave4.GetName(), CustomSave4)
	else
		CustomSave4OID = AddTextOption("Unkown Exterior Cell", CustomSave4)
	endif
	if SLDN2.CustomSave5.IsInterior() == true || SLDN2.CustomSave5 == none
		CustomSave5OID = AddTextOption(SLDN2.CustomSave5.GetName(), CustomSave5)
	else
		CustomSave5OID = AddTextOption("Unkown Exterior Cell", CustomSave5)
	endif
	if SLDN2.CustomSave6.IsInterior() == true || SLDN2.CustomSave6 == none
		CustomSave6OID = AddTextOption(SLDN2.CustomSave6.GetName(), CustomSave6)
	else
		CustomSave6OID = AddTextOption("Unkown Exterior Cell", CustomSave6)
	endif
	if SLDN2.CustomSave7.IsInterior() == true || SLDN2.CustomSave7 == none
		CustomSave7OID = AddTextOption(SLDN2.CustomSave7.GetName(), CustomSave7)
	else
		CustomSave7OID = AddTextOption("Unkown Exterior Cell", CustomSave7)
	endif
	if SLDN2.CustomSave8.IsInterior() == true || SLDN2.CustomSave8 == none
		CustomSave8OID = AddTextOption(SLDN2.CustomSave8.GetName(), CustomSave8)
	else
		CustomSave8OID = AddTextOption("Unkown Exterior Cell", CustomSave8)
	endif
	if SLDN2.CustomSave9.IsInterior() == true || SLDN2.CustomSave9 == none
		CustomSave9OID = AddTextOption(SLDN2.CustomSave9.GetName(), CustomSave9)
	else
		CustomSave9OID = AddTextOption("Unkown Exterior Cell", CustomSave9)
	endif
	if SLDN2.CustomSave10.IsInterior() == true || SLDN2.CustomSave10 == none
		CustomSave10OID = AddTextOption(SLDN2.CustomSave10.GetName(), CustomSave10)
	else
		CustomSave10OID = AddTextOption("Unkown Exterior Cell", CustomSave10)
	endif
endif
endEvent

Event OnOptionSliderOpen(Int Option)
if option == citiesOID
	SetSliderDialogStartValue(cities)
	SetSliderDialogDefaultValue(5.0)
	SetSliderDialogRange(0.0, 100.0)
	SetSliderDialogInterval(1.0)
elseif option == civilizedOID
	SetSliderDialogStartValue(civilized)
	SetSliderDialogDefaultValue(15.0)
	SetSliderDialogRange(0.0, 100.0)
	SetSliderDialogInterval(1.0)
elseif option == dangerousOID
	SetSliderDialogStartValue(dangerous)
	SetSliderDialogDefaultValue(90.0)
	SetSliderDialogRange(0.0, 100.0)
	SetSliderDialogInterval(1.0)
elseif option == wildernessOID
	SetSliderDialogStartValue(wilderness)
	SetSliderDialogDefaultValue(50.0)
	SetSliderDialogRange(0.0, 100.0)
	SetSliderDialogInterval(1.0)
elseif option == OrgyOID
	SetSliderDialogStartValue(Orgy)
	SetSliderDialogDefaultValue(50.0)
	SetSliderDialogRange(0.0, 100.0)
	SetSliderDialogInterval(1.0)
elseif option == CreatureChanceOID
	SetSliderDialogStartValue(CreatureChance)
	SetSliderDialogDefaultValue(50.0)
	SetSliderDialogRange(0.0, 100.0)
	SetSliderDialogInterval(1.0)
elseif option == PlayerMinArousalOID
	SetSliderDialogStartValue(PlayerMinArousal)
	SetSliderDialogDefaultValue(25.0)
	SetSliderDialogRange(0.0, 100.0)
	SetSliderDialogInterval(1.0)
elseif option == PlayerMaxArousalOID
	SetSliderDialogStartValue(PlayerMaxArousal)
	SetSliderDialogDefaultValue(75.0)
	SetSliderDialogRange(0.0, 100.0)
	SetSliderDialogInterval(1.0)
elseif option == GuardArousalOID
	SetSliderDialogStartValue(GuardArousal)
	SetSliderDialogDefaultValue(70.0)
	SetSliderDialogRange(0.0, 100.0)
	SetSliderDialogInterval(1.0)
elseif option == TraitorChanceOID
	SetSliderDialogStartValue(TraitorChance)
	SetSliderDialogDefaultValue(30.0)
	SetSliderDialogRange(0.0, 100.0)
	SetSliderDialogInterval(1.0)
elseif option == dialougeOID
	SetSliderDialogStartValue(dialouge)
	SetSliderDialogDefaultValue(35.0)
	SetSliderDialogRange(0.0, 100.0)
	SetSliderDialogInterval(1.0)
endif
endEvent

Event OnOptionSliderAccept(Int Option, Float value)
If Option == citiesOID
	cities = value
	SetSliderOptionValue(citiesOID, cities, "{0} %")
elseIf Option == civilizedOID
	civilized = value
	setSliderOptionValue(civilizedOID, civilized, "{0} %")
elseIf Option == dangerousOID
	dangerous = value
	setSliderOptionValue(dangerousOID, dangerous, "{0} %")
elseIf Option == wildernessOID
	wilderness = value
	SetSliderOptionValue(wildernessOID, wilderness, "{0} %")
elseIf Option == OrgyOID
	Orgy = value
	SetSliderOptionValue(OrgyOID, Orgy, "{0} %")
elseIf Option == CreatureChanceOID
	CreatureChance = value
	SetSliderOptionValue(CreatureChanceOID, CreatureChance, "{0} %")
elseIf Option == PlayerMinArousalOID
	PlayerMinArousal = value
	SetSliderOptionValue(PlayerMinArousalOID, PlayerMinArousal, "{0}")
	SLDN2_PlayerMinArousal.setValue(PlayerMinArousal)
elseIf Option == PlayerMaxArousalOID
	PlayerMaxArousal = value
	SetSliderOptionValue(PlayerMaxArousalOID, PlayerMaxArousal, "{0}")
	SLDN2_PlayerMaxArousal.setValue(PlayerMaxArousal)
elseIf Option == GuardArousalOID
	GuardArousal = value
	SetSliderOptionValue(GuardArousalOID, GuardArousal, "{0}")
elseIf Option == TraitorChanceOID
	TraitorChance = value
	SetSliderOptionValue(TraitorChanceOID, TraitorChance, "{0} %")
elseIf Option == dialougeOID
	dialouge = value
	SetSliderOptionValue(dialougeOID, dialouge, "{0} %")
endif
endEvent

Event OnOptionSelect(int option)
If (option == enabledOID)
	enabled = !enabled
	SetToggleOptionValue(enabledOID, enabled)
	if enabled == false
		SetOptionFlags(citiesOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(civilizedOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(dangerousOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(wildernessOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(orgyOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(AltFemAnimOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(CreaturesOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(CreatureChanceOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(FollowerOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(TraitorsOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(FollowerOnlyOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(FemalesOnlyOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(NoSpidersOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(NoChaurusOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(moralOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(guardOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(wolvesOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(PlayerMinArousalOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(PlayerMaxArousalOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(GuardArousalOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(TraitorChanceOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(ScanOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(genderOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(commentsOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(nakedOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(sleepoutfitOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(currentarmorOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(NoEscapeOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(dialougeOID, OPTION_FLAG_DISABLED)
		SetOptionFlags(wakeupOID, OPTION_FLAG_DISABLED)
	else
		SetOptionFlags(citiesOID, OPTION_FLAG_NONE)
		SetOptionFlags(civilizedOID, OPTION_FLAG_NONE)
		SetOptionFlags(dangerousOID, OPTION_FLAG_NONE)
		SetOptionFlags(wildernessOID, OPTION_FLAG_NONE)
		SetOptionFlags(orgyOID, OPTION_FLAG_NONE)
		SetOptionFlags(AltFemAnimOID, OPTION_FLAG_NONE)
		SetOptionFlags(CreaturesOID, OPTION_FLAG_NONE)
		SetOptionFlags(CreatureChanceOID, OPTION_FLAG_NONE)
		SetOptionFlags(FollowerOID, OPTION_FLAG_NONE)
		SetOptionFlags(TraitorsOID, OPTION_FLAG_NONE)
		SetOptionFlags(FollowerOnlyOID, OPTION_FLAG_NONE)
		SetOptionFlags(FemalesOnlyOID, OPTION_FLAG_NONE)
		SetOptionFlags(NoSpidersOID, OPTION_FLAG_NONE)
		SetOptionFlags(NoChaurusOID, OPTION_FLAG_NONE)
		SetOptionFlags(moralOID, OPTION_FLAG_NONE)
		SetOptionFlags(guardOID, OPTION_FLAG_NONE)
		SetOptionFlags(wolvesOID, OPTION_FLAG_NONE)
		SetOptionFlags(PlayerMinArousalOID, OPTION_FLAG_NONE)
		SetOptionFlags(PlayerMaxArousalOID, OPTION_FLAG_NONE)
		SetOptionFlags(GuardArousalOID, OPTION_FLAG_NONE)
		SetOptionFlags(TraitorChanceOID, OPTION_FLAG_NONE)
		SetOptionFlags(ScanOID, OPTION_FLAG_NONE)
		SetOptionFlags(genderOID, OPTION_FLAG_NONE)
		SetOptionFlags(commentsOID, OPTION_FLAG_NONE)
		SetOptionFlags(nakedOID, OPTION_FLAG_NONE)
		SetOptionFlags(sleepoutfitOID, OPTION_FLAG_NONE)
		SetOptionFlags(currentarmorOID, OPTION_FLAG_NONE)
		SetOptionFlags(NoEscapeOID, OPTION_FLAG_NONE)
		SetOptionFlags(dialougeOID, OPTION_FLAG_NONE)
		SetOptionFlags(wakeupOID, OPTION_FLAG_NONE)
	endif
elseif (option == FollowerOID)	
	Follower = !Follower
	SetToggleOptionValue(FollowerOID, Follower)
elseif (option == wakeupOID)	
	wakeup = !wakeup
	SetToggleOptionValue(wakeupOID, wakeup)
elseif (option == NoEscapeOID)	
	NoEscape = !NoEscape
	SetToggleOptionValue(NoEscapeOID, NoEscape)
elseif (option == GuardOID)	
	Guard = !Guard
	SetToggleOptionValue(GuardOID, Guard)
elseif (option == WolvesOID)
	Wolves = !Wolves
	SetToggleOptionValue(WolvesOID, Wolves)
elseif (option == commentsOID)
	comments = !comments
	SetToggleOptionValue(commentsOID, comments)
elseif (option == nakedOID)
	naked = !naked
	SetToggleOptionValue(nakedOID, naked)
elseif (option == sleepoutfitOID)
	sleepoutfit = !sleepoutfit
	SetToggleOptionValue(sleepoutfitOID, sleepoutfit)
	If sleepoutfit == true
		currentarmor = Game.GetPlayer().GetWornForm(0x00000004).GetName()
	else
		currentarmor = ""
	endif
elseif (option == moralOID)	
	If moral == "Medium"
		moral = "High"
	Elseif moral == "High"
		moral = "Very High"
	Elseif moral == "Low"
		moral = "Medium"    
	Else
		moral = "Low"            
	Endif
	SetTextOptionValue(moralOID, moral)
elseif (option == FollowerOnlyOID)
	FollowerOnly = !FollowerOnly
	SetToggleOptionValue(FollowerOnlyOID, FollowerOnly)
elseif (option == FemalesOnlyOID)	
	FemalesOnly = !FemalesOnly
	SetToggleOptionValue(FemalesOnlyOID, FemalesOnly)
elseif (option == TraitorsOID)	
	Traitors = !Traitors
	SetToggleOptionValue(TraitorsOID, Traitors)
elseif (option == CreaturesOID)	
	Creatures = !Creatures
	SetToggleOptionValue(CreaturesOID, Creatures)
elseif (option == NoSpidersOID)	
	NoSpiders = !NoSpiders
	SetToggleOptionValue(NoSpidersOID, NoSpiders)
elseif (option == NoChaurusOID)	
	NoChaurus = !NoChaurus
	SetToggleOptionValue(NoChaurusOID, NoChaurus)
elseif (option == AltFemAnimOID)	
	AltFemAnim = !AltFemAnim
	SetToggleOptionValue(AltFemAnimOID, AltFemAnim)
elseif (option == SaveSpellOID)	
	SaveSpell = !SaveSpell
	SetToggleOptionValue(SaveSpellOID, SaveSpell)
	if SaveSpell == True
		Game.GetPlayer().addSpell(SLDN2_SaveLocSpell)
	else
		Game.GetPlayer().RemoveSpell(SLDN2_SaveLocSpell)
	endif
elseif (option == HomeSpellOID)	
	HomeSpell = !HomeSpell
	SetToggleOptionValue(HomeSpellOID, HomeSpell)
	if HomeSpell == True
		Game.GetPlayer().addSpell(SLDN2_PlayerHouseSpell)
	else
		Game.GetPlayer().RemoveSpell(SLDN2_PlayerHouseSpell)
	endif
elseif (option == FollowerSpellOID)	
	FollowerSpell = !FollowerSpell
	SetToggleOptionValue(FollowerSpellOID, FollowerSpell)
	if FollowerSpell == True
		Game.GetPlayer().addSpell(SLDN2_FollowerSpell)
	else
		Game.GetPlayer().RemoveSpell(SLDN2_FollowerSpell)
	endif
elseif (option == scanOID)	
	If scan == "scan first"
		scan = "spawn only"
	Elseif scan == "spawn only"
		scan = "scan only"
	Else
		scan = "scan first"            
	Endif
	SetTextOptionValue(scanOID, scan)
elseif (option == genderOID)	
	If gender == "both"
		gender = "females only"
	Elseif gender == "females only"
		gender = "males only"
	Else
		gender = "both"            
	Endif
	SetTextOptionValue(genderOID, gender)
elseif (option == CustomFollower1OID)
	CustomFollower1 = "deleted..."
	SetOptionFlags(CustomFollower1OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomFollower1OID, CustomFollower1)
	SLDN2.CustomFollower1.RemoveFromFaction(SLDN2_CustomFollowerFaction)
	SLDN2.CustomFollower1 = none
elseif (option == CustomFollower2OID)
	CustomFollower2 = "deleted..."
	SetOptionFlags(CustomFollower2OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomFollower2OID, CustomFollower2)
	SLDN2.CustomFollower2.RemoveFromFaction(SLDN2_CustomFollowerFaction)
	SLDN2.CustomFollower2 = none
elseif (option == CustomFollower3OID)
	CustomFollower3 = "deleted..."
	SetOptionFlags(CustomFollower3OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomFollower3OID, CustomFollower3)
	SLDN2.CustomFollower3.RemoveFromFaction(SLDN2_CustomFollowerFaction)
	SLDN2.CustomFollower3 = none
elseif (option == CustomFollower4OID)
	CustomFollower4 = "deleted..."
	SetOptionFlags(CustomFollower4OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomFollower4OID, CustomFollower4)
	SLDN2.CustomFollower4.RemoveFromFaction(SLDN2_CustomFollowerFaction)
	SLDN2.CustomFollower4 = none
elseif (option == CustomFollower5OID)
	CustomFollower5 = "deleted..."
	SetOptionFlags(CustomFollower5OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomFollower5OID, CustomFollower5)
	SLDN2.CustomFollower5.RemoveFromFaction(SLDN2_CustomFollowerFaction)
	SLDN2.CustomFollower5 = none
elseif (option == CustomFollower6OID)
	CustomFollower6 = "deleted..."
	SetOptionFlags(CustomFollower6OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomFollower6OID, CustomFollower6)
	SLDN2.CustomFollower6.RemoveFromFaction(SLDN2_CustomFollowerFaction)
	SLDN2.CustomFollower6 = none
elseif (option == CustomHome1OID)
	CustomHome1 = "deleted..."
	SetOptionFlags(CustomHome1OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomHome1OID, CustomHome1)
	SLDN2.CustomHome1 = none
elseif (option == CustomHome2OID)
	CustomHome2 = "deleted..."
	SetOptionFlags(CustomHome2OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomHome2OID, CustomHome2)
	SLDN2.CustomHome2 = none
elseif (option == CustomHome3OID)
	CustomHome3 = "deleted..."
	SetOptionFlags(CustomHome3OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomHome3OID, CustomHome3)
	SLDN2.CustomHome3 = none
elseif (option == CustomHome4OID)
	CustomHome4 = "deleted..."
	SetOptionFlags(CustomHome4OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomHome4OID, CustomHome4)
	SLDN2.CustomHome4 = none
elseif (option == CustomHome5OID)
	CustomHome5 = "deleted..."
	SetOptionFlags(CustomHome5OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomHome5OID, CustomHome5)
	SLDN2.CustomHome5 = none
elseif (option == CustomHome6OID)
	CustomHome6 = "deleted..."
	SetOptionFlags(CustomHome6OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomHome6OID, CustomHome6)
	SLDN2.CustomHome6 = none
elseif (option == CustomHome7OID)
	CustomHome7 = "deleted..."
	SetOptionFlags(CustomHome7OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomHome7OID, CustomHome7)
	SLDN2.CustomHome7 = none
elseif (option == CustomHome8OID)
	CustomHome8 = "deleted..."
	SetOptionFlags(CustomHome8OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomHome8OID, CustomHome8)
	SLDN2.CustomHome8 = none
elseif (option == CustomHome9OID)
	CustomHome9 = "deleted..."
	SetOptionFlags(CustomHome9OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomHome9OID, CustomHome9)
	SLDN2.CustomHome9 = none
elseif (option == CustomHome10OID)
	CustomHome10 = "deleted..."
	SetOptionFlags(CustomHome10OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomHome10OID, CustomHome10)
	SLDN2.CustomHome10 = none
elseif (option == CustomSave1OID)
	CustomSave1 = "deleted..."
	SetOptionFlags(CustomSave1OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomSave1OID, CustomSave1)
	SLDN2.CustomSave1 = none
elseif (option == CustomSave2OID)
	CustomSave2 = "deleted..."
	SetOptionFlags(CustomSave2OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomSave2OID, CustomSave2)
	SLDN2.CustomSave2 = none
elseif (option == CustomSave3OID)
	CustomSave3 = "deleted..."
	SetOptionFlags(CustomSave3OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomSave3OID, CustomSave3)
	SLDN2.CustomSave3 = none
elseif (option == CustomSave4OID)
	CustomSave4 = "deleted..."
	SetOptionFlags(CustomSave4OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomSave4OID, CustomSave4)
	SLDN2.CustomSave4 = none
elseif (option == CustomSave5OID)
	CustomSave5 = "deleted..."
	SetOptionFlags(CustomSave5OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomSave5OID, CustomSave5)
	SLDN2.CustomSave5 = none
elseif (option == CustomSave6OID)
	CustomSave6 = "deleted..."
	SetOptionFlags(CustomSave6OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomSave6OID, CustomSave6)
	SLDN2.CustomSave6 = none
elseif (option == CustomSave7OID)
	CustomSave7 = "deleted..."
	SetOptionFlags(CustomSave7OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomSave7OID, CustomSave7)
	SLDN2.CustomSave7 = none
elseif (option == CustomSave8OID)
	CustomSave8 = "deleted..."
	SetOptionFlags(CustomSave8OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomSave8OID, CustomSave8)
	SLDN2.CustomSave8 = none
elseif (option == CustomSave9OID)
	CustomSave9 = "deleted..."
	SetOptionFlags(CustomSave9OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomSave9OID, CustomSave9)
	SLDN2.CustomSave9 = none
elseif (option == CustomSave10OID)
	CustomSave10 = "deleted..."
	SetOptionFlags(CustomSave10OID, OPTION_FLAG_DISABLED)
	SetTextOptionValue(CustomSave10OID, CustomSave10)
	SLDN2.CustomSave10 = none
endif
endEvent

event OnOptionHighlight(int option)
If (option == citiesOID)
	SetInfoText("Player homes. \n Default: 5%")
elseIf (option == civilizedOID)
	SetInfoText("Inns, towns, inhabitated houses and the like. \n Default: 10%")
elseIf (option == dangerousOID)
	SetInfoText("Dungeons, caves, bandit camps and the like. \n Default: 80%")
elseIf (option == wildernessOID)
	SetInfoText("Every place not already covered. \n Default: 50%")
elseif (option == FollowerOnlyOID)
	SetInfoText("Only Follwer can be victims.")
elseif (option == FemalesOnlyOID)
	SetInfoText("Only female characters can be victims, including the player.")
elseif (option == AltFemAnimOID)
	SetInfoText("Female attackers on male victims will use cowgirl animations.")
elseif (option == GuardOID)
	SetInfoText("Keeps the selected guard for every night. Remember to clear the guard or set a diffent one before releasing the follower!")
elseif (option == SaveSpellOID)
	SetInfoText("Give the player the Save-Location-Spell to mark the current cell as save and block any night attacks there.")
elseif (option == HomeSpellOID)
	SetInfoText("Gives the player the Player-Home-Spell to mark the current cell as player home to avoid it being treatened as wilderness, dungeon or else.")
elseif (option == FollowerSpellOID)
	SetInfoText("Gives the player the Follower-Spell to mark custom or mod-added followers as such. This is only needed when DN2 doesn't recognizes a follower.")
elseif (option == PlayerMinArousalOID)
	SetInfoText("The players arousal must exceed this value to be able to accept the dialouge option during a night attack.")
elseif (option == PlayerMaxArousalOID)
	SetInfoText("If the players arousal exceeds this value, you can't reject the dialouge option during a night attack")
elseif (option == GuardArousalOID)
	SetInfoText("If the selected guards arousal exceeds this value, s/he might turn on the player as attacker or volunteer to a sex action with an attacker.")
elseIf (option == moralOID)
	SetInfoText("Low: No moral limit. \n Medium: Only highly moral people wont be the attacker. \n High: Normal citizens wont be the attacker. \n Very High: Only the most lawless will attack. \n Default: Low")
elseIf (option == traitorchanceOID)
	SetInfoText("The chance if a follower takes advantage of the player at night, if no guard was set up.")
elseIf (option == scanOID)
	SetInfoText("spawn only: The surroundings are not scanned for possible attackers and only prepared ones are spawned.\nscan only: Only close NPC are choosen as attacker. This option will result in fewer night attacks, but makes cleared areas safe. \nscan first: If no vaild attacker could be found, some are spawned. \nScanning produces more papyrus stress and takes around 10 seconds.")
elseIf (option == genderOID)
	SetInfoText("Set which gender is allowed when scanning or spawning. Does NOT count for creatures!")
elseIf (option == nakedOID)
	SetInfoText("If toggled the chance for a night attack is increased in 20%, if the chest armor slot it empty or the sleepoutfit is worn.")
elseIf (option == sleepoutfitOID)
	SetInfoText("Saves the currently equipped armor as sleepoutfit.")
elseIf (option == currentarmorOID)
	SetInfoText("Your current sleepoutfit. If nothing is displayed, but sleepoutfit is enabled, try refreshing the page.")
elseIf (option == NoEscapeOID)
	SetInfoText("Toggles if the attacker leave after a night attack.")
elseIf (option == wakeupOID)
	SetInfoText("Toggles the wakeup animation. Use this to avoid the risk of the camera getting stuck.")
endif
endEvent

event OnOptionDefault(int option)
if (option == creaturesOID)
	creatures = true
	SetToggleOptionValue(creaturesOID, creatures)
elseif(option == FollowerOID)
	Follower = true
	SetToggleOptionValue(FollowerOID, Follower)
elseif(option == FollowerOnlyOID)
	FollowerOnly = false
	SetToggleOptionValue(FollowerOnlyOID, FollowerOnly)
elseif(option == FemalesOnlyOID)
	FemalesOnly = false
	SetToggleOptionValue(FemalesOnlyOID, FemalesOnly)
elseif(option == TraitorsOID)
	Traitors = true
	SetToggleOptionValue(TraitorsOID, Traitors)
elseif(option == NoSpidersOID)
	NoSpiders = false
	SetToggleOptionValue(NoSpidersOID, NoSpiders)
elseif(option == NoChaurusOID)
	NoChaurus = false
	SetToggleOptionValue(NoChaurusOID, NoChaurus)
elseif(option == WolvesOID)
	Wolves = false
	SetToggleOptionValue(WolvesOID, Wolves)
elseif(option == AltFemAnimOID)
	AltFemAnim = false
	SetToggleOptionValue(AltFemAnimOID, AltFemAnim)
elseIf (option == moralOID)
	moral = "Low"
	SetTextOptionValue(moralOID, moral)
elseIf (option == GuardOID)
	Guard = false
	SetTextOptionValue(GuardOID, Guard)
endif
endEvent
