Scriptname SLDN2_upkeep extends Quest

FormList Property SLDNJailLocations Auto
Location Property DLC2SolstheimLocation Auto Hidden
Quest Property DLC2MQ03B Auto Hidden
pDBEntranceQuestScript Property DBEntranceQuest Auto
SLDN2_mcm Property mcm auto
float Property fHour auto hidden
bool Property iWeHaveNightGuard = false Auto hidden
float Property Pbase auto hidden
float Property UpdateInterval auto
float Property SleepTime Auto hidden
int Property iNightAttack = -1 Auto hidden
int Property iKindOfAttacker = 0 Auto hidden
int Property NumberOfThreesomes Auto hidden
int Property NumberOfActions Auto hidden
int Property FinishedActions Auto hidden
int Property SuccssesfulScan Auto hidden
string Property Tag = "" Auto hidden
ReferenceAlias Property NightGuard auto
faction Property sla_arousal auto
faction Property SexlabForbiddenActor auto
GlobalVariable Property FollowerCount auto
SexLabFramework Property SexLab auto
Idle Property WakeUp auto
SPELL Property Rested auto
SPELL Property WellRested auto
SPELL Property MarriageRested auto
ImageSpaceModifier Property FadeToBlackHoldIMod auto
ImageSpaceModifier Property FadeToBlackBackIMod auto
ImageSpaceModifier Property SleepyTimeFadeIn auto

Actor Property CustomFollower1 auto hidden
Actor Property CustomFollower2 auto hidden
Actor Property CustomFollower3 auto hidden
Actor Property CustomFollower4 auto hidden
Actor Property CustomFollower5 auto hidden
Actor Property CustomFollower6 auto hidden

ActorBase[] Property Enemy auto
ActorBase[] Property Wolves auto
ActorBase[] Property Spiders auto
ActorBase[] Property Werewolves auto
ActorBase[] Property Chaurus auto
ActorBase[] Property Falmer auto
ActorBase[] Property Draugr auto
ActorBase[] Property WarlocksM auto
ActorBase[] Property WarlocksF auto
ActorBase[] Property VampiresM auto
ActorBase[] Property VampiresF auto
ActorBase[] Property ImperialsM auto
ActorBase[] Property ImperialsF auto
ActorBase[] Property StormcloaksM auto
ActorBase[] Property StormcloaksF auto
ActorBase[] Property BanditsM auto
ActorBase[] Property BanditsF auto
ActorBase[] Property TownsfolkM auto
ActorBase[] Property TownsfolkF auto

Cell Property CustomHome1 auto hidden
Cell Property CustomHome2 auto hidden
Cell Property CustomHome3 auto hidden
Cell Property CustomHome4 auto hidden
Cell Property CustomHome5 auto hidden
Cell Property CustomHome6 auto hidden
Cell Property CustomHome7 auto hidden
Cell Property CustomHome8 auto hidden
Cell Property CustomHome9 auto hidden
Cell Property CustomHome10 auto hidden

Cell Property CustomSave1 auto hidden
Cell Property CustomSave2 auto hidden
Cell Property CustomSave3 auto hidden
Cell Property CustomSave4 auto hidden
Cell Property CustomSave5 auto hidden
Cell Property CustomSave6 auto hidden
Cell Property CustomSave7 auto hidden
Cell Property CustomSave8 auto hidden
Cell Property CustomSave9 auto hidden
Cell Property CustomSave10 auto hidden

ReferenceAlias Property Alias_Follower1 auto
ReferenceAlias Property Alias_Follower2 auto
ReferenceAlias Property Alias_Follower3 auto
ReferenceAlias Property Alias_Follower4 auto

ReferenceAlias Property Alias_Aggressor1 auto
ReferenceAlias Property Alias_Aggressor2 auto
ReferenceAlias Property Alias_Aggressor3 auto
ReferenceAlias Property Alias_Aggressor4 auto
ReferenceAlias Property Alias_Aggressor5 auto
ReferenceAlias Property Alias_Aggressor6 auto
ReferenceAlias Property Alias_Aggressor7 auto
ReferenceAlias Property Alias_Aggressor8 auto
ReferenceAlias Property Alias_Aggressor9 auto
ReferenceAlias Property Alias_Aggressor10 auto

ReferenceAlias Property Clean01 auto
ReferenceAlias Property Clean02 auto
ReferenceAlias Property Clean03 auto
ReferenceAlias Property Clean04 auto
ReferenceAlias Property Clean05 auto
ReferenceAlias Property Clean06 auto
ReferenceAlias Property Clean07 auto
ReferenceAlias Property Clean08 auto
ReferenceAlias Property Clean09 auto
ReferenceAlias Property Clean10 auto

Quest Property SLDN2_Follower Auto
Quest Property SLDN2_Escape Auto

keyword property loctypedwelling auto
keyword property loctypedungeon auto
keyword property loctypemilitaryfort auto
keyword property loctypetown auto
keyword property loctypemine auto
keyword property loctypedraugrcrypt auto
keyword property loctypecity auto
keyword property loctypebanditcamp auto
keyword property loctypefalmerhive auto
keyword property loctypevampirelair auto
keyword property loctypeplayerhouse auto
keyword property loctypewerewolflair auto
keyword property loctypewarlocklair auto
keyword property LocTypeDwarvenAutomatons auto
keyword property loctypejail auto


Event OnInit()
RegisterForSleep()
RegisterForModEvent("AnimationEnd_Fin", "SLDN")
endEvent

Event OnSleepStart(Float afSleepStartTime, Float afDesiredSleepEndTime)

If IsItSafe() == true
; I use an exponential function dependent on the hours slept and the base probability of the location
; to let the chance rise each hour exponentially
; P(t) = Pbase + ( (100+ Pbase)^(1/24) )^(t-1)
SleepTime = (afDesiredSleepEndTime - afSleepStartTime) * 24
Pbase = NightAttackChance()
float dPbase = math.pow((100 + Pbase), (0.0416667))
float P = Pbase + math.pow((dPbase), (SleepTime - 1))
	If MCM.naked == true && (Game.GetPlayer().GetWornForm(0x00000004) == None || Game.GetPlayer().GetWornForm(0x00000004) == MCM.CurrentArmor)
		P += 20
	endif
	if Utility.RandomInt(1, 100) <= P
		If SLDN2_Escape.IsRunning() == true
			SLDN2_Escape.Stop()
		endif
		If MCM.WakeUp == false
			Game.ForceFirstPerson()
			Game.DisablePlayerControls(true, true, true, false, true, true, true, true)
		endif
		FadeToBlackHoldIMod.apply()
		Utility.WaitMenuMode(Utility.RandomInt(1, ((SleepTime as Int) - 1)))
		Game.GetPlayer().MoveTo(Game.GetPlayer())
		FadeToBlackHoldIMod.apply()
		RegisterForSingleUpdate(UpdateInterval)
	endif
endif
endEvent

Bool Function IsItSafe()
Bool Safe = true
int DN_ONOFF = StorageUtil.GetIntValue(none, "DN_ONOFF")
If DN_ONOFF == 1
	Safe = false
endif
if mcm.enabled == false
	safe = false
endif
If DBEntranceQuest.pSleepyTime == 1
	Safe = false
EndIf
If Safe == 1 && Game.GetModByName("Dragonborn.esm") != 255
	DLC2SolstheimLocation = Game.GetFormFromFile(0x02016E2A, "Dragonborn.esm") As Location
	DLC2MQ03B = Game.GetFormFromFile(0x02035440, "Dragonborn.esm") As Quest
	If (DLC2MQ03B.IsCompleted() == false && Game.GetPlayer().IsInLocation(DLC2SolstheimLocation))
		Safe = false
	EndIf
EndIf
If Safe == true
	Int n = SLDNJailLocations.GetSize()
	Int i = 0
	While i < n
		If Game.GetPlayer().IsInLocation(SLDNJailLocations.GetAt(i) As Location) != 0
			Safe = 0
		EndIf
		i += 1
	EndWhile
EndIf
If safe == true
	Cell[] CustomSave = new cell[10]
	CustomSave[0] = CustomSave1
	CustomSave[1] = CustomSave2
	CustomSave[2] = CustomSave3
	CustomSave[3] = CustomSave4
	CustomSave[4] = CustomSave5
	CustomSave[5] = CustomSave6
	CustomSave[6] = CustomSave7
	CustomSave[7] = CustomSave8
	CustomSave[8] = CustomSave9
	CustomSave[9] = CustomSave10
	if CustomSave.find(Game.getPlayer().GetParentCell()) > -1
		Safe = false
	endif
endif
If safe == true
cell PlayerCell = Game.getPlayer().GetParentCell()
	If PlayerCell.HasKeyword(LocTypeJail) == true
		safe = false
	endif
endif
Return Safe
EndFunction

float Function NightAttackChance()
Actor PlayerRef = Game.GetPlayer()
Cell[] CustomHomes = new Cell[10]
CustomHomes[0] = CustomHome1
CustomHomes[1] = CustomHome2
CustomHomes[2] = CustomHome3
CustomHomes[3] = CustomHome4
CustomHomes[4] = CustomHome5
CustomHomes[5] = CustomHome6
CustomHomes[6] = CustomHome7
CustomHomes[7] = CustomHome8
CustomHomes[8] = CustomHome9
CustomHomes[9] = CustomHome10
if (PlayerRef.GetCurrentLocation()).haskeyword(loctypeplayerhouse) || CustomHomes.find(PlayerRef.GetParentCell()) > -1
	;Debug.Notification("Player Home")
	Return mcm.cities
elseif (PlayerRef.GetCurrentLocation()).haskeyword(loctypedwelling) || (PlayerRef.GetCurrentLocation()).haskeyword(loctypecity) || PlayerRef.GetCurrentLocation().haskeyword(loctypetown)
	;Debug.Notification("Civilized")
	Return mcm.civilized
elseif PlayerRef.GetCurrentLocation().haskeyword(loctypebanditcamp) || PlayerRef.GetCurrentLocation().haskeyword(loctypedraugrcrypt) || PlayerRef.GetCurrentLocation().haskeyword(loctypewarlocklair) || PlayerRef.GetCurrentLocation().haskeyword(loctypefalmerhive) || PlayerRef.GetCurrentLocation().haskeyword(loctypevampirelair) || PlayerRef.GetCurrentLocation().haskeyword(loctypemilitaryfort) || PlayerRef.GetCurrentLocation().haskeyword(loctypemine) || PlayerRef.GetCurrentLocation().haskeyword(loctypedungeon) 
	;Debug.Notification("Dangerous")
	Return mcm.dangerous
else 
	;Debug.Notification("Wilderness")
	Return mcm.wilderness
endif
EndFunction

Event OnUpdate()
	ADangerousNight()
EndEvent

Function ADangerousNight()
	SLDN2_Follower.Start()
	Utility.Wait(1)
	iNightAttack = NightAttack()
	GoToState("scenario")
	;Debug.Notification("NightAttack: " + iNightAttack)
	RegisterForSingleUpdate(UpdateInterval)
EndFunction

State scenario
	Function ADangerousNight()
	If iNightAttack != 2 && iNightAttack != 4 ;in this scenarios we have only follower actions and need no outside attacker
		If mcm.scan == "spawn only"
			GoToState("spawn")
		else
			GoToState("scan")
		endif
	else
		GoToState("EndPhase")
	Endif
	RegisterForSingleUpdate(UpdateInterval)
	EndFunction
EndState

State scan
	Function ADangerousNight()
	If FollowerCount.GetValue() > 0
		(Alias_Follower1.GetRef() as Actor).AddToFaction(SexLabForbiddenActor)
		(Alias_Follower2.GetRef() as Actor).AddToFaction(SexLabForbiddenActor)
		(Alias_Follower3.GetRef() as Actor).AddToFaction(SexLabForbiddenActor)
		(Alias_Follower4.GetRef() as Actor).AddToFaction(SexLabForbiddenActor)
	EndIf
	Actor[] NPC = new actor[4]
	If MCM.gender == "Both"
		NPC[0] = SexLab.FindAvailableActor(Game.GetPlayer(), 4096.0, -1, Game.GetPlayer())
		NPC[1] = SexLab.FindAvailableActor(Game.GetPlayer(), 4096.0, -1, Game.GetPlayer(), NPC[0])
		NPC[2] = SexLab.FindAvailableActor(Game.GetPlayer(), 4096.0, -1, Game.GetPlayer(), NPC[0], NPC[1])
		NPC[3] = SexLab.FindAvailableActor(Game.GetPlayer(), 4096.0, -1, Game.GetPlayer(), NPC[0], NPC[1], NPC[2])
	elseif MCM.gender == "Females Only"
		NPC[0] = SexLab.FindAvailableActor(Game.GetPlayer(), 4096.0, 1, Game.GetPlayer())
		NPC[1] = SexLab.FindAvailableActor(Game.GetPlayer(), 4096.0, 1, Game.GetPlayer(), NPC[0])
		NPC[2] = SexLab.FindAvailableActor(Game.GetPlayer(), 4096.0, 1, Game.GetPlayer(), NPC[0], NPC[1])
		NPC[3] = SexLab.FindAvailableActor(Game.GetPlayer(), 4096.0, 1, Game.GetPlayer(), NPC[0], NPC[1], NPC[2])
	elseif  MCM.gender == "Males Only"
		NPC[0] = SexLab.FindAvailableActor(Game.GetPlayer(), 4096.0, 0, Game.GetPlayer())
		NPC[1] = SexLab.FindAvailableActor(Game.GetPlayer(), 4096.0, 0, Game.GetPlayer(), NPC[0])
		NPC[2] = SexLab.FindAvailableActor(Game.GetPlayer(), 4096.0, 0, Game.GetPlayer(), NPC[0], NPC[1])
		NPC[3] = SexLab.FindAvailableActor(Game.GetPlayer(), 4096.0, 0, Game.GetPlayer(), NPC[0], NPC[1], NPC[2])
	endif
	If FollowerCount.GetValue() > 0
		(Alias_Follower1.GetRef() as Actor).RemoveFromFaction(SexLabForbiddenActor)
		(Alias_Follower2.GetRef() as Actor).RemoveFromFaction(SexLabForbiddenActor)
		(Alias_Follower3.GetRef() as Actor).RemoveFromFaction(SexLabForbiddenActor)
		(Alias_Follower4.GetRef() as Actor).RemoveFromFaction(SexLabForbiddenActor)
	EndIf
	Int iRef = 0
	Int X = 1
	Actor Dummy = NPC[0]
	While iRef == 0
		If NPC[X] != none
			if mcm.moral == "Low" || (NPC[X].GetActorValue("Morality") <= 2 && mcm.moral == "Medium") || (NPC[X].GetActorValue("Morality") <= 1 && mcm.moral == "High") || (NPC[X].GetActorValue("Morality") == 0 && mcm.moral == "Very High")
				If NPC[X].GetFactionRank(sla_Arousal) > Dummy.GetFactionRank(sla_Arousal)
					Dummy = NPC[X]
					X += 1
				else
					X += 1
				EndIf
			else
				NPC[X] = none
				X += 1
			endif
		Else
			X += 1
		EndIf
		If X == 4
			iRef = 1
		endif
	EndWhile
	If Dummy == None
		If mcm.scan == "scan first"
			SuccssesfulScan = 0
			GoToState("spawn")
		ElseIf mcm.scan == "scan only"
			Debug.Notification("You wake up from a sudden noise, but there's nothing to see.")
			GoToState("CleanUp")
		endif
	Else
		Alias_Aggressor1.ForceRefTo(Dummy)
		SuccssesfulScan = 1
		GoToState("Place")
	endif
	RegisterForSingleUpdate(UpdateInterval)
	EndFunction
EndState

State spawn
	Function ADangerousNight()
		iKindOfAttacker = DefineAttacker()
		If iKindOfAttacker == 10 || iKindOfAttacker == 2 || iKindOfAttacker == 3 ;wolves, spiders and chaurus can't play with the aggressive tag
			Tag = ""
		else
			Tag = "aggressive"
		endif
		GoToState("Place")
		RegisterForSingleUpdate(UpdateInterval)
	EndFunction
EndState

State place
	Function ADangerousNight()
		int participants = (FollowerCount.GetValue() as int)
		If MCM.FollowerOnly == false
			participants += 1 ;plus one for the player
		endif
		NumberOfThreesomes = 0
		If mcm.orgy == true && (Utility.RandomInt(1, 100) <= MCM.Orgy)
			NumberOfThreesomes = Utility.RandomInt(1, participants)
		endif
		int NumberOfEnemies = participants + NumberOfThreesomes ;max possible numner is 10
		int NumberOfFemales
		If MCM.gender == "females Only"
			NumberOfFemales = NumberOfEnemies
		ElseIf MCM.gender == "males Only"
			NumberOfFemales = 0
		elseIf MCM.gender == "both"
			NumberOfFemales = Utility.RandomInt(0, NumberOfEnemies)
		endif
		If iKindOfAttacker == 0
			Alias_Aggressor1.GetRef().Disable()
			Alias_Aggressor1.GetRef().MoveTo(Game.getPlayer())
		Else
			If iKindOfAttacker == 1 ;townsfolk
				int B = 0
				int Count = 0
				int Z = 0
				int C = Utility.RandomInt(0, 9) ;to avoid seeing always the same faces we start at a random index
				While B == 0
					If Count < 10
						If NumberOfFemales > 0
							Enemy[Z] = townsfolkF[C]
							NumberOfFemales -= 1
							Z += 1
							C += 1
							Count += 1
						else
							Enemy[Z] = townsfolkM[C]
							Z += 1
							C += 1
							Count += 1
						endif
						If C == 10
							C = 0
						endif
						If Z == 10
							Z = 0
						endif
					else
						B = 1
					endif
				endWhile
			ElseIf iKindOfAttacker == 2	;spiders
				NumberOfEnemies = participants
				int B = 0
				int Z = 0 ; creatures are gender-less and can be just filled
				While B == 0
					If Z < 10 
						Enemy[Z] = Spiders[Z]
						Z += 1
					else
						B = 1
					endif
				endWhile
			ElseIf iKindOfAttacker == 3 ;wolves
				NumberOfEnemies = participants
				int B = 0
				int Z = 0
				While B == 0
					If Z < 10 
						Enemy[Z] = wolves[Z]
						Z += 1
					else
						B = 1
					endif
				endWhile
			ElseIf iKindOfAttacker == 4 ;bandits
				int B = 0
				int Count = 0
				int Z = 0
				int C = Utility.RandomInt(0, 9)
				While B == 0
					If Count < 10
						If NumberOfFemales > 0
							Enemy[Z] = BanditsF[C]
							NumberOfFemales -= 1
							Z += 1
							C += 1
							Count += 1
						else
							Enemy[Z] = BanditsM[C]
							Z += 1
							C += 1
							Count += 1
						endif
						If C == 10
							C = 0
						endif
						If Z == 10
							Z = 0
						endif
					else
						B = 1
					endif
				endWhile				
			ElseIf iKindOfAttacker == 5 ;imperials
				int B = 0
				int Count = 0
				int Z = 0
				int C = Utility.RandomInt(0, 9)
				While B == 0
					If Count < 10
						If NumberOfFemales > 0
							Enemy[Z] = ImperialsF[C]
							NumberOfFemales -= 1
							Z += 1
							C += 1
							Count += 1
						else
							Enemy[Z] = ImperialsM[C]
							Z += 1
							C += 1
							Count += 1
						endif
						If C == 10
							C = 0
						endif
						If Z == 10
							Z = 0
						endif
					else
						B = 1
					endif
				endWhile
			ElseIf iKindOfAttacker == 6 ;stormcloaks
				int B = 0
				int Count = 0
				int Z = 0
				int C = Utility.RandomInt(0, 9)
				While B == 0
					If Count < 10
						If NumberOfFemales > 0
							Enemy[Z] = StormcloaksF[C]
							NumberOfFemales -= 1
							Z += 1
							C += 1
							Count += 1
						else
							Enemy[Z] = StormcloaksM[C]
							Z += 1
							C += 1
							Count += 1
						endif
						If C == 10
							C = 0
						endif
						If Z == 10
							Z = 0
						endif
					else
						B = 1
					endif
				endWhile
			ElseIf iKindOfAttacker == 7 ;warlocks
				int B = 0
				int Count = 0
				int Z = 0
				int C = Utility.RandomInt(0, 9)
				While B == 0
					If Count < 10
						If NumberOfFemales > 0
							Enemy[Z] = WarlocksF[C]
							NumberOfFemales -= 1
							Z += 1
							C += 1
							Count += 1
						else
							Enemy[Z] = WarlocksM[C]
							Z += 1
							C += 1
							Count += 1
						endif
						If C == 10
							C = 0
						endif
						If Z == 10
							Z = 0
						endif
					else
						B = 1
					endif
				endWhile
			ElseIf iKindOfAttacker == 8 ;vampires
				int B = 0
				int Count = 0
				int Z = 0
				int C = Utility.RandomInt(0, 9)
				While B == 0
					If Count < 10
						If NumberOfFemales > 0
							Enemy[Z] = VampiresF[C]
							NumberOfFemales -= 1
							Z += 1
							C += 1
							Count += 1
						else
							Enemy[Z] = VampiresM[C]
							Z += 1
							C += 1
							Count += 1
						endif
						If C == 10
							C = 0
						endif
						If Z == 10
							Z = 0
						endif
					else
						B = 1
					endif
				endWhile
			ElseIf iKindOfAttacker == 9 ;draugr
				int B = 0
				int Z = 0
				While B == 0
					If Z < 10 
						Enemy[Z] = draugr[Z]
						Z += 1
					else
						B = 1
					endif
				endWhile
			ElseIf iKindOfAttacker == 10 ;chaurus
				NumberOfEnemies = participants
				int B = 0
				int Z = 0
				While B == 0
					If Z < 10 
						Enemy[Z] = chaurus[Z]
						Z += 1
					else
						B = 1
					endif
				endWhile
			ElseIf iKindOfAttacker == 11 ;falmer
				int B = 0
				int Z = 0
				While B == 0
					If Z < 10 
						Enemy[Z] = falmer[Z]
						Z += 1
					else
						B = 1
					endif
				endWhile
			ElseIf iKindOfAttacker == 12 ;werewolf
				NumberOfEnemies = participants
				int B = 0
				int Z = 0
				While B == 0
					If Z < 10 
						Enemy[Z] = werewolves[Z]
						Z += 1
					else
						B = 1
					endif
				endWhile
			EndIf
			Actor DummyEnemy = none
			int A = 0
			int Y = 0
			While A == 0
				If Y <= (NumberOfEnemies - 1)
					If Y == 0
						DummyEnemy = Game.GetPlayer().PlaceAtMe(Enemy[Y], 1, false, true) as Actor
						Alias_Aggressor1.ForceRefTo(DummyEnemy)
						Y += 1
					elseIf Y == 1
						DummyEnemy = Game.GetPlayer().PlaceAtMe(Enemy[Y], 1, false, true) as Actor
						Alias_Aggressor2.ForceRefTo(DummyEnemy)
						Y += 1
					elseIf Y == 2
						DummyEnemy = Game.GetPlayer().PlaceAtMe(Enemy[Y], 1, false, true) as Actor
						Alias_Aggressor3.ForceRefTo(DummyEnemy)
						Y += 1
					elseIf Y == 3
						DummyEnemy = Game.GetPlayer().PlaceAtMe(Enemy[Y], 1, false, true) as Actor
						Alias_Aggressor4.ForceRefTo(DummyEnemy)
						Y += 1
					elseIf Y == 4 
						DummyEnemy = Game.GetPlayer().PlaceAtMe(Enemy[Y], 1, false, true) as Actor
						Alias_Aggressor5.ForceRefTo(DummyEnemy)
						Y += 1
					elseIf Y == 5
						DummyEnemy = Game.GetPlayer().PlaceAtMe(Enemy[Y], 1, false, true) as Actor
						Alias_Aggressor6.ForceRefTo(DummyEnemy)
						Y += 1
					elseIf Y == 6
						DummyEnemy = Game.GetPlayer().PlaceAtMe(Enemy[Y], 1, false, true) as Actor
						Alias_Aggressor7.ForceRefTo(DummyEnemy)
						Y += 1
					elseIf Y == 7
						DummyEnemy = Game.GetPlayer().PlaceAtMe(Enemy[Y], 1, false, true) as Actor
						Alias_Aggressor8.ForceRefTo(DummyEnemy)
						Y += 1
					elseIf Y == 8
						DummyEnemy = Game.GetPlayer().PlaceAtMe(Enemy[Y], 1, false, true) as Actor
						Alias_Aggressor9.ForceRefTo(DummyEnemy)
						Y += 1
					elseIf Y == 9
						DummyEnemy = Game.GetPlayer().PlaceAtMe(Enemy[Y], 1, false, true) as Actor
						Alias_Aggressor10.ForceRefTo(DummyEnemy)
						Y += 1
					endif
				else
					A = 1
				endif		
			EndWhile
		Endif
		GotoState("EndPhase")
		RegisterForSingleUpdate(UpdateInterval)
	EndFunction
EndState

State endphase
	Function ADangerousNight()
	NumberOfActions = 0
	FinishedActions = 0
	If iNightAttack == 1 ; Guard was suprised and raped, player awakes and has to fight attacker
		If (Alias_Follower1.GetRef() != none) && (Alias_Follower1.GetRef() != NightGuard.GetRef())
			Debug.SendAnimationEvent((Alias_Follower1.GetRef() as Actor), "IdleLayDownEnterInstant")
		endif
		If (Alias_Follower2.GetRef() != none) && (Alias_Follower2.GetRef() != NightGuard.GetRef())
			Debug.SendAnimationEvent((Alias_Follower2.GetRef() as Actor), "IdleLayDownEnterInstant")
		endif
		If (Alias_Follower3.GetRef() != none) && (Alias_Follower3.GetRef() != NightGuard.GetRef())
			Debug.SendAnimationEvent((Alias_Follower3.GetRef() as Actor), "IdleLayDownEnterInstant")
		endif
		If (Alias_Follower4.GetRef() != none) && (Alias_Follower4.GetRef() != NightGuard.GetRef())
			Debug.SendAnimationEvent((Alias_Follower4.GetRef() as Actor), "IdleLayDownEnterInstant")
		endif	
		if (Alias_Aggressor1.GetRef() as Actor) != none
			(Alias_Aggressor1.GetRef() as Actor).MoveTo(Game.GetPlayer(), 75.0)
			(Alias_Aggressor1.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor2.GetRef() as Actor) != none
			(Alias_Aggressor2.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef()), 75.0, 75.0)
			(Alias_Aggressor2.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor3.GetRef() as Actor) != none
			(Alias_Aggressor3.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef()), 75.0, -75.0)
			(Alias_Aggressor3.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor4.GetRef() as Actor) != none
			(Alias_Aggressor4.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef()), 75.0, 125.0)
			(Alias_Aggressor4.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor5.GetRef() as Actor) != none
			(Alias_Aggressor5.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef()), 75.0, -125.0)
			(Alias_Aggressor5.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor6.GetRef() as Actor) != none
			(Alias_Aggressor6.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef()), 125.0, 100.0)
			(Alias_Aggressor6.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor7.GetRef() as Actor) != none
			(Alias_Aggressor7.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef()), 125.0, -100.0)
			(Alias_Aggressor7.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor8.GetRef() as Actor) != none
			(Alias_Aggressor8.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef()), 125.0, 175.0)
			(Alias_Aggressor8.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor9.GetRef() as Actor) != none
			(Alias_Aggressor9.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef()), 125.0, -175.0)
			(Alias_Aggressor9.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor10.GetRef() as Actor) != none
			(Alias_Aggressor10.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef()), 125.0)
			(Alias_Aggressor10.GetRef() as Actor).Enable()
		endif
		FadeToBlackHoldIMod.remove()
		SleepyTimeFadeIn.apply()
		FadeToBlackBackIMod.apply()
		Game.GetPlayer().PlayIdle(WakeUp)
		if (NightGuard.GetRef() as Actor).getActorBase().getSex() == 0 && (Alias_Aggressor1.GetRef() as Actor).GetActorBase().getSex() == 1 && MCM.AltFemAnim == true
			if SexLab.Quickstart((NightGuard.GetRef() as Actor), (Alias_Aggressor1.GetRef() as Actor), victim = (NightGuard.GetRef() as Actor), Hook = "Fin", AnimationTags = "Cowgirl, FM") == none
				Utility.Wait(1)
				SexLab.Quickstart((NightGuard.GetRef() as Actor), (Alias_Aggressor1.GetRef() as Actor), victim = (NightGuard.GetRef() as Actor), Hook = "Fin", AnimationTags = "Cowgirl, FM")
				NumberOfActions += 1
			else
				NumberOfActions += 1
			endif
		else
			if SexLab.Quickstart((NightGuard.GetRef() as Actor), (Alias_Aggressor1.GetRef() as Actor), victim = (NightGuard.GetRef() as Actor), Hook = "Fin", AnimationTags = tag) == none
				Utility.Wait(1)
				SexLab.Quickstart((NightGuard.GetRef() as Actor), (Alias_Aggressor1.GetRef() as Actor), victim = (NightGuard.GetRef() as Actor), Hook = "Fin", AnimationTags = tag)
				NumberOfActions += 1
			else
				NumberOfActions += 1
			endif
		endif
		Utility.Wait(12)
		Game.EnablePlayerControls()
		If mcm.comments == true
			Debug.Notification("You wake up to mumbled screams! On no! Your guard was subdued and is being raped!")
		endif
		Utility.Wait(3)
		if (Alias_Aggressor2.GetRef() as Actor) != none
			(Alias_Aggressor2.GetRef() as Actor).SetAV("Aggression", 2)
			(Alias_Aggressor2.GetRef() as Actor).SetRelationshipRank(Game.GetPlayer(), -4)
		endif
		if (Alias_Aggressor3.GetRef() as Actor) != none
			(Alias_Aggressor3.GetRef() as Actor).SetAV("Aggression", 2)
			(Alias_Aggressor3.GetRef() as Actor).SetRelationshipRank(Game.GetPlayer(), -4)
		endif
		if (Alias_Aggressor4.GetRef() as Actor) != none
			(Alias_Aggressor4.GetRef() as Actor).SetAV("Aggression", 2)
			(Alias_Aggressor4.GetRef() as Actor).SetRelationshipRank(Game.GetPlayer(), -4)
		endif
		if (Alias_Aggressor5.GetRef() as Actor) != none
			(Alias_Aggressor5.GetRef() as Actor).SetAV("Aggression", 2)
			(Alias_Aggressor5.GetRef() as Actor).SetRelationshipRank(Game.GetPlayer(), -4)
		endif
		if (Alias_Aggressor6.GetRef() as Actor) != none
			(Alias_Aggressor6.GetRef() as Actor).SetAV("Aggression", 2)
			(Alias_Aggressor6.GetRef() as Actor).SetRelationshipRank(Game.GetPlayer(), -4)
		endif
		if (Alias_Aggressor7.GetRef() as Actor) != none
			(Alias_Aggressor7.GetRef() as Actor).SetAV("Aggression", 2)
			(Alias_Aggressor7.GetRef() as Actor).SetRelationshipRank(Game.GetPlayer(), -4)
		endif
		if (Alias_Aggressor8.GetRef() as Actor) != none
			(Alias_Aggressor8.GetRef() as Actor).SetAV("Aggression", 2)
			(Alias_Aggressor8.GetRef() as Actor).SetRelationshipRank(Game.GetPlayer(), -4)
		endif
		if (Alias_Aggressor9.GetRef() as Actor) != none
			(Alias_Aggressor9.GetRef() as Actor).SetAV("Aggression", 2)
			(Alias_Aggressor9.GetRef() as Actor).SetRelationshipRank(Game.GetPlayer(), -4)
		endif
		if (Alias_Aggressor10.GetRef() as Actor) != none
			(Alias_Aggressor10.GetRef() as Actor).SetAV("Aggression", 2)
			(Alias_Aggressor10.GetRef() as Actor).SetRelationshipRank(Game.GetPlayer(), -4)
		endif
	ElseIf iNightAttack == 2 ; Guard is horny and rapes player, no other attacker
		If (Alias_Follower1.GetRef() != none) && (Alias_Follower1.GetRef() != NightGuard.GetRef())
			Debug.SendAnimationEvent((Alias_Follower1.GetRef() as Actor), "IdleLayDownEnterInstant")
		endif
		If (Alias_Follower2.GetRef() != none) && (Alias_Follower2.GetRef() != NightGuard.GetRef())
			Debug.SendAnimationEvent((Alias_Follower2.GetRef() as Actor), "IdleLayDownEnterInstant")
		endif
		If (Alias_Follower3.GetRef() != none) && (Alias_Follower3.GetRef() != NightGuard.GetRef())
			Debug.SendAnimationEvent((Alias_Follower3.GetRef() as Actor), "IdleLayDownEnterInstant")
		endif
		If (Alias_Follower4.GetRef() != none) && (Alias_Follower4.GetRef() != NightGuard.GetRef())
			Debug.SendAnimationEvent((Alias_Follower4.GetRef() as Actor), "IdleLayDownEnterInstant")
		endif
		NightGuard.GetRef().MoveTo(Game.GetPlayer(), 200.0 * Math.Sin(Game.GetPlayer().GetAngleZ()), 200.0 * Math.Cos(Game.GetPlayer().GetAngleZ()), Game.GetPlayer().GetHeight())
		FadeToBlackHoldIMod.remove()
		SleepyTimeFadeIn.apply()
		FadeToBlackBackIMod.apply()
		Game.GetPlayer().PlayIdle(WakeUp)
		Utility.Wait(12)
		Game.EnablePlayerControls()
		If mcm.comments == true
			Debug.Notification("Your guard couldn't resist and takes advantage of your sleep!")
		endif
		if (NightGuard.GetRef() as Actor).getActorBase().getSex() == 1 && Game.GetPlayer().GetActorBase().getSex() == 0 && MCM.AltFemAnim == true
			if SexLab.Quickstart(Game.GetPlayer(), (NightGuard.GetRef() as Actor), victim = Game.GetPlayer(), Hook = "Fin", AnimationTags = "Cowgirl, FM") == none
				Utility.Wait(1)
				SexLab.Quickstart(Game.GetPlayer(), (NightGuard.GetRef() as Actor), victim = Game.GetPlayer(), Hook = "Fin", AnimationTags = "Cowgirl, FM")
				NumberOfActions += 1
			else
				NumberOfActions += 1
			endif
		else
			if SexLab.Quickstart(Game.GetPlayer(), (NightGuard.GetRef() as Actor), victim = Game.GetPlayer(), Hook = "Fin", AnimationTags = "Aggressive") == none
				Utility.Wait(1)
				SexLab.Quickstart(Game.GetPlayer(), (NightGuard.GetRef() as Actor), victim = Game.GetPlayer(), Hook = "Fin", AnimationTags = "Aggressive")
				NumberOfActions += 1
			else
				NumberOfActions += 1
			endif
		endif
	ElseIf iNightAttack == 3 ; Guard is horny and consens with the attacker
		If (Alias_Follower1.GetRef() != none) && (Alias_Follower1.GetRef() != NightGuard.GetRef())
			Debug.SendAnimationEvent((Alias_Follower1.GetRef() as Actor), "IdleLayDownEnterInstant")
		endif
		If (Alias_Follower2.GetRef() != none) && (Alias_Follower2.GetRef() != NightGuard.GetRef())
			Debug.SendAnimationEvent((Alias_Follower2.GetRef() as Actor), "IdleLayDownEnterInstant")
		endif
		If (Alias_Follower3.GetRef() != none) && (Alias_Follower3.GetRef() != NightGuard.GetRef())
			Debug.SendAnimationEvent((Alias_Follower3.GetRef() as Actor), "IdleLayDownEnterInstant")
		endif
		If (Alias_Follower4.GetRef() != none) && (Alias_Follower4.GetRef() != NightGuard.GetRef())
			Debug.SendAnimationEvent((Alias_Follower4.GetRef() as Actor), "IdleLayDownEnterInstant")
		endif
		if (Alias_Aggressor1.GetRef() as Actor) != none
			(Alias_Aggressor1.GetRef() as Actor).MoveTo(Game.GetPlayer(), 75.0)
			(Alias_Aggressor1.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor2.GetRef() as Actor) != none
			(Alias_Aggressor2.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 75.0, 75.0)
			(Alias_Aggressor2.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor3.GetRef() as Actor) != none
			(Alias_Aggressor3.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 75.0, -75.0)
			(Alias_Aggressor3.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor4.GetRef() as Actor) != none
			(Alias_Aggressor4.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 75.0, 125.0)
			(Alias_Aggressor4.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor5.GetRef() as Actor) != none
			(Alias_Aggressor5.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 75.0, -125.0)
			(Alias_Aggressor5.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor6.GetRef() as Actor) != none
			(Alias_Aggressor6.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 125.0, 100.0)
			(Alias_Aggressor6.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor7.GetRef() as Actor) != none
			(Alias_Aggressor7.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 125.0, -100.0)
			(Alias_Aggressor7.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor8.GetRef() as Actor) != none
			(Alias_Aggressor8.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 125.0, 175.0)
			(Alias_Aggressor8.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor9.GetRef() as Actor) != none
			(Alias_Aggressor9.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 125.0, -175.0)
			(Alias_Aggressor9.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor10.GetRef() as Actor) != none
			(Alias_Aggressor10.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 125.0)
			(Alias_Aggressor10.GetRef() as Actor).Enable()
		endif
		FadeToBlackHoldIMod.remove()
		SleepyTimeFadeIn.apply()
		FadeToBlackBackIMod.apply()
		Game.GetPlayer().PlayIdle(WakeUp)
		If (NightGuard.GetRef() as Actor).getActorBase().getSex() == 0 && (Alias_Aggressor1.GetRef() as Actor).GetActorBase().getSex() == 1 && MCM.AltFemAnim == true
			if SexLab.Quickstart((NightGuard.GetRef() as Actor), (Alias_Aggressor1.GetRef() as Actor), victim = none, Hook = "Fin", AnimationTags = "Cowgirl, FM") == none
				Utility.Wait(1)
				SexLab.Quickstart((NightGuard.GetRef() as Actor), (Alias_Aggressor1.GetRef() as Actor), victim = none, Hook = "Fin", AnimationTags = "Cowgirl, FM")
				NumberOfActions += 1
			else
				NumberOfActions += 1
			endif
		else
			if SexLab.Quickstart((NightGuard.GetRef() as Actor), (Alias_Aggressor1.GetRef() as Actor), victim = none, Hook = "Fin", AnimationTags = "") == none
				Utility.Wait(1)
				SexLab.Quickstart((NightGuard.GetRef() as Actor), (Alias_Aggressor1.GetRef() as Actor), victim = none, Hook = "Fin", AnimationTags = "")
				NumberOfActions += 1
			else
				NumberOfActions += 1
			endif
		endif
		Utility.Wait(12)
		Game.EnablePlayerControls()
		If mcm.comments == true
			Debug.Notification("You wake up to joyful moans! Seems your guard is having fun with some nightly visitors!")
		endif
		SetStage(20)
	ElseIf iNightAttack == 4 ; no guard, follower rapes player, no other attacker
		If (Alias_Follower2.GetRef() != none)
			Debug.SendAnimationEvent((Alias_Follower2.GetRef() as Actor), "IdleLayDownEnterInstant")
		endif
		If (Alias_Follower3.GetRef() != none)
			Debug.SendAnimationEvent((Alias_Follower3.GetRef() as Actor), "IdleLayDownEnterInstant")
			endif
		If (Alias_Follower4.GetRef() != none)
			Debug.SendAnimationEvent((Alias_Follower4.GetRef() as Actor), "IdleLayDownEnterInstant")
		endif
		Alias_Follower1.GetRef().MoveTo(Game.GetPlayer(), 200.0 * Math.Sin(Game.GetPlayer().GetAngleZ()), 200.0 * Math.Cos(Game.GetPlayer().GetAngleZ()), Game.GetPlayer().GetHeight())
		FadeToBlackHoldIMod.remove()
		SleepyTimeFadeIn.apply()
		FadeToBlackBackIMod.apply()
		Game.GetPlayer().PlayIdle(WakeUp)
		Utility.Wait(12)
		Game.EnablePlayerControls()
		If mcm.comments == true
			Debug.Notification("One of your companions couldn't resist and takes advantage of your sleep!")
		endif
		if (Alias_Follower1.GetRef() as Actor).getActorBase().getSex() == 1 && Game.GetPlayer().GetActorBase().getSex() == 0 && MCM.AltFemAnim == true
			if SexLab.Quickstart(Game.GetPlayer(), (Alias_Follower1.GetRef() as Actor), victim = Game.GetPlayer(), Hook = "Fin", AnimationTags = "Cowgirl, FM") == none
				Utility.Wait(1)
				SexLab.Quickstart(Game.GetPlayer(), (Alias_Follower1.GetRef() as Actor), victim = Game.GetPlayer(), Hook = "Fin", AnimationTags = "Cowgirl, FM")
				NumberOfActions += 1
			else
				NumberOfActions += 1
			endif
		else
			if SexLab.Quickstart(Game.GetPlayer(), (Alias_Follower1.GetRef() as Actor), victim = Game.GetPlayer(), Hook = "Fin", AnimationTags = "Aggressive") == none
				Utility.Wait(1)
				SexLab.Quickstart(Game.GetPlayer(), (Alias_Follower1.GetRef() as Actor), victim = Game.GetPlayer(), Hook = "Fin", AnimationTags = "Aggressive")
				NumberOfActions += 1
			else
				NumberOfActions += 1
			endif
		endif
	ElseIf iNightAttack == 5 ; no guard, attacker rape player, roll for dialouge
		If (Alias_Follower1.GetRef() != none)
			Debug.SendAnimationEvent((Alias_Follower1.GetRef() as Actor), "IdleLayDownEnterInstant")
		endif
		If (Alias_Follower2.GetRef() != none)
			Debug.SendAnimationEvent((Alias_Follower2.GetRef() as Actor), "IdleLayDownEnterInstant")
		endif
		If (Alias_Follower3.GetRef() != none)
			Debug.SendAnimationEvent((Alias_Follower3.GetRef() as Actor), "IdleLayDownEnterInstant")
		endif
		If (Alias_Follower4.GetRef() != none)
			Debug.SendAnimationEvent((Alias_Follower4.GetRef() as Actor), "IdleLayDownEnterInstant")
		endif
		if (Alias_Aggressor1.GetRef() as Actor) != none
			(Alias_Aggressor1.GetRef() as Actor).Enable()
			(Alias_Aggressor1.GetRef() as Actor).MoveTo(Game.GetPlayer(), 75.0)
		endif
		if (Alias_Aggressor2.GetRef() as Actor) != none
			(Alias_Aggressor2.GetRef() as Actor).Enable()
			(Alias_Aggressor2.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 75.0, 75.0)
		endif
		if (Alias_Aggressor3.GetRef() as Actor) != none
			(Alias_Aggressor3.GetRef() as Actor).Enable()
			(Alias_Aggressor3.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 75.0, -75.0)
		endif
		if (Alias_Aggressor4.GetRef() as Actor) != none
			(Alias_Aggressor4.GetRef() as Actor).Enable()
			(Alias_Aggressor4.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 75.0, 125.0)
		endif
		if (Alias_Aggressor5.GetRef() as Actor) != none
			(Alias_Aggressor5.GetRef() as Actor).Enable()
			(Alias_Aggressor5.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 75.0, -125.0)
		endif
		if (Alias_Aggressor6.GetRef() as Actor) != none
			(Alias_Aggressor6.GetRef() as Actor).Enable()
			(Alias_Aggressor6.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 125.0, 100.0)
		endif
		if (Alias_Aggressor7.GetRef() as Actor) != none
			(Alias_Aggressor7.GetRef() as Actor).Enable()
			(Alias_Aggressor7.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 125.0, -100.0)
		endif
		if (Alias_Aggressor8.GetRef() as Actor) != none
			(Alias_Aggressor8.GetRef() as Actor).Enable()
			(Alias_Aggressor8.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 125.0, 175.0)
		endif
		if (Alias_Aggressor9.GetRef() as Actor) != none
			(Alias_Aggressor9.GetRef() as Actor).Enable()
			(Alias_Aggressor9.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 125.0, -175.0)
		endif
		if (Alias_Aggressor10.GetRef() as Actor) != none
			(Alias_Aggressor10.GetRef() as Actor).Enable()
			(Alias_Aggressor10.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 125.0)
		endif
		FadeToBlackHoldIMod.remove()
		SleepyTimeFadeIn.apply()
		FadeToBlackBackIMod.apply()
		Game.GetPlayer().PlayIdle(WakeUp)
		Utility.Wait(12)
		Game.EnablePlayerControls()
		If mcm.comments == true
			Debug.Notification("You wake up from close noises. Someone is there!")
		endif
		If Utility.RandomInt(1, 100) <= MCM.Dialouge && MCM.FollowerOnly == false && (iKindOfAttacker == 1 || iKindOfAttacker == 4 || iKindOfAttacker == 5 || iKindOfAttacker == 6 || iKindOfAttacker == 7 || iKindOfAttacker == 8)
			SetStage(10)
		else
			If SuccssesfulScan == 1
				If MCM.FollowerOnly == false
					if (Alias_Aggressor1.GetRef() as Actor).getActorBase().getSex() == 1 && Game.GetPlayer().GetActorBase().getSex() == 0 && MCM.AltFemAnim == true
						If SexLab.Quickstart(Game.GetPlayer(), (Alias_Aggressor1.GetRef() as Actor), victim = Game.GetPlayer(), Hook = "Fin", AnimationTags = "Cowgirl, FM") == none
							Utility.Wait(1)
							SexLab.Quickstart(Game.GetPlayer(), (Alias_Aggressor1.GetRef() as Actor), victim = Game.GetPlayer(), Hook = "Fin", AnimationTags = "Cowgirl, FM")
							NumberOfActions += 1
						else
							NumberOfActions += 1
						endif
					else
						If SexLab.Quickstart(Game.GetPlayer(), (Alias_Aggressor1.GetRef() as Actor), victim = Game.GetPlayer(), Hook = "Fin", AnimationTags = Tag) == none
							Utility.Wait(1)
							SexLab.Quickstart(Game.GetPlayer(), (Alias_Aggressor1.GetRef() as Actor), victim = Game.GetPlayer(), Hook = "Fin", AnimationTags = Tag)
							NumberOfActions += 1
						else
							NumberOfActions += 1
						endif
					endif
				else
					If (Alias_Follower1.GetRef() as Actor) != none
						if (Alias_Aggressor1.GetRef() as Actor).getActorBase().getSex() == 1 && (Alias_Follower1.GetRef() as Actor).GetActorBase().getSex() == 0 && MCM.AltFemAnim == true
							if SexLab.Quickstart((Alias_Follower1.GetRef() as Actor), (Alias_Aggressor1.GetRef() as Actor), victim = (Alias_Follower1.GetRef() as Actor), Hook = "Fin", AnimationTags = "Cowgirl, FM") == none
								Utility.Wait(1)
								SexLab.Quickstart((Alias_Follower1.GetRef() as Actor), (Alias_Aggressor1.GetRef() as Actor), victim = (Alias_Follower1.GetRef() as Actor), Hook = "Fin", AnimationTags = "Cowgirl, FM")
								NumberOfActions += 1
							else
								NumberOfActions += 1
							endif
						else
							If SexLab.Quickstart((Alias_Follower1.GetRef() as Actor), (Alias_Aggressor1.GetRef() as Actor), victim = (Alias_Follower1.GetRef() as Actor), Hook = "Fin", AnimationTags = Tag) == none
								Utility.Wait(1)
								SexLab.Quickstart((Alias_Follower1.GetRef() as Actor), (Alias_Aggressor1.GetRef() as Actor), victim = (Alias_Follower1.GetRef() as Actor), Hook = "Fin", AnimationTags = Tag)
								NumberOfActions += 1
							else
								NumberOfActions += 1
							endif
						endif
					endif
				endif
			else
				actor[] SexActor = new actor[10]
				SexActor[0] = (Alias_Aggressor1.GetRef() as Actor)
				SexActor[1] = (Alias_Aggressor2.GetRef() as Actor)
				SexActor[2] = (Alias_Aggressor3.GetRef() as Actor)
				SexActor[3] = (Alias_Aggressor4.GetRef() as Actor)
				SexActor[4] = (Alias_Aggressor5.GetRef() as Actor)
				SexActor[5] = (Alias_Aggressor6.GetRef() as Actor)
				SexActor[6] = (Alias_Aggressor7.GetRef() as Actor)
				SexActor[7] = (Alias_Aggressor8.GetRef() as Actor)
				SexActor[8] = (Alias_Aggressor9.GetRef() as Actor)
				SexActor[9] = (Alias_Aggressor10.GetRef() as Actor)
				int E = 0
				int F = 1
				If MCM.FollowerOnly == false
					If NumberOfThreesomes > 0
						If SexLab.Quickstart(Game.GetPlayer() ,SexActor[E] ,SexActor[F], victim = Game.GetPlayer(), Hook = "Fin", AnimationTags = Tag) == none
							Utility.Wait(1)
							SexLab.Quickstart(Game.GetPlayer() ,SexActor[E] ,SexActor[F], victim = Game.GetPlayer(), Hook = "Fin", AnimationTags = Tag)
								NumberOfThreesomes -= 1
								E += 2
								NumberOfActions += 1
						else
							NumberOfThreesomes -= 1
							E += 2
							NumberOfActions += 1
						endif
					else
						if (Alias_Aggressor1.GetRef() as Actor).getActorBase().getSex() == 1 && Game.GetPlayer().GetActorBase().getSex() == 0 && MCM.AltFemAnim == true
							If SexLab.Quickstart(Game.GetPlayer(), SexActor[E], victim = Game.GetPlayer(), Hook = "Fin", AnimationTags = "Cowgirl, FM") == none
								Utility.Wait(1)
								SexLab.Quickstart(Game.GetPlayer(), SexActor[E], victim = Game.GetPlayer(), Hook = "Fin", AnimationTags = "Cowgirl, FM")
								E += 1
								NumberOfActions += 1
							else
								E += 1
								NumberOfActions += 1
							endif
						else
							if SexLab.Quickstart(Game.GetPlayer(), SexActor[E], victim = Game.GetPlayer(), Hook = "Fin", AnimationTags = Tag) == none
								Utility.Wait(1)
								SexLab.Quickstart(Game.GetPlayer(), SexActor[E], victim = Game.GetPlayer(), Hook = "Fin", AnimationTags = Tag)
								E += 1
								NumberOfActions += 1
							else
								E += 1
								NumberOfActions += 1
							endif
						endif
					endif
				endif 
				If Alias_Follower1.GetRef() != none
					If ((((Alias_Follower1.GetRef() as actor).GetActorBase().GetSex() == 1 && MCM.FemalesOnly == true)) || MCM.FemalesOnly == false) && (MCM.follower == true)
						If NumberOfThreesomes > 0
							F = E + 1
							If SexLab.Quickstart((Alias_Follower1.GetRef() as Actor) ,SexActor[E] ,SexActor[F], victim = (Alias_Follower1.GetRef() as Actor), Hook = "Fin", AnimationTags = Tag) == none
								Utility.Wait(1)
								SexLab.Quickstart((Alias_Follower1.GetRef() as Actor) ,SexActor[E] ,SexActor[F], victim = (Alias_Follower1.GetRef() as Actor), Hook = "Fin", AnimationTags = Tag)
								NumberOfThreesomes -= 1
								E += 2
								NumberOfActions += 1
							else
								NumberOfThreesomes -= 1
								E += 2
								NumberOfActions += 1
							endif
						else
							if (Alias_Follower1.GetRef() as Actor).getActorBase().getSex() == 0 && SexActor[E].GetActorBase().getSex() == 1 && MCM.AltFemAnim == true
								if SexLab.Quickstart((Alias_Follower1.GetRef() as Actor), SexActor[E], victim = (Alias_Follower1.GetRef() as Actor), Hook = "Fin", AnimationTags = "Cowgirl, FM") == none
									Utility.Wait(1)
									SexLab.Quickstart((Alias_Follower1.GetRef() as Actor), SexActor[E], victim = (Alias_Follower1.GetRef() as Actor), Hook = "Fin", AnimationTags = "Cowgirl, FM")
									E += 1
									NumberOfActions += 1
								else
									E += 1
									NumberOfActions += 1
								endif
							else
								if SexLab.Quickstart((Alias_Follower1.GetRef() as Actor), SexActor[E], victim = (Alias_Follower1.GetRef() as Actor), Hook = "Fin", AnimationTags = Tag) == none
									Utility.Wait(1)
									SexLab.Quickstart((Alias_Follower1.GetRef() as Actor), SexActor[E], victim = (Alias_Follower1.GetRef() as Actor), Hook = "Fin", AnimationTags = Tag)
									E += 1
									NumberOfActions += 1
								else
									E += 1
									NumberOfActions += 1
								endif
							endif
						endif
					endif
				endif
				If Alias_Follower2.GetRef() != none
					If ((((Alias_Follower2.GetRef() as actor).GetActorBase().GetSex() == 1 && MCM.FemalesOnly == true)) || MCM.FemalesOnly == false) && (MCM.follower == true)
						If NumberOfThreesomes > 0
							F = E + 1
							if SexLab.Quickstart((Alias_Follower2.GetRef() as Actor) ,SexActor[E] ,SexActor[F], victim = (Alias_Follower2.GetRef() as Actor), Hook = "Fin", AnimationTags = Tag) == none
								Utility.Wait(1)
								SexLab.Quickstart((Alias_Follower2.GetRef() as Actor) ,SexActor[E] ,SexActor[F], victim = (Alias_Follower2.GetRef() as Actor), Hook = "Fin", AnimationTags = Tag)
								NumberOfThreesomes -= 1
								E += 2
								NumberOfActions += 1
							else
								NumberOfThreesomes -= 1
								E += 2
								NumberOfActions += 1
							endif
						else
							if (Alias_Follower2.GetRef() as Actor).getActorBase().getSex() == 0 && SexActor[E].GetActorBase().getSex() == 1 && MCM.AltFemAnim == true
								if SexLab.Quickstart((Alias_Follower2.GetRef() as Actor), SexActor[E], victim = (Alias_Follower2.GetRef() as Actor), Hook = "Fin", AnimationTags = "Cowgirl, FM") == none
									Utility.Wait(1)
									SexLab.Quickstart((Alias_Follower2.GetRef() as Actor), SexActor[E], victim = (Alias_Follower2.GetRef() as Actor), Hook = "Fin", AnimationTags = "Cowgirl, FM")
									E += 1
									NumberOfActions += 1
								else
									E += 1
									NumberOfActions += 1
								endif
							else
								if SexLab.Quickstart((Alias_Follower2.GetRef() as Actor), SexActor[E], victim = (Alias_Follower2.GetRef() as Actor), Hook = "Fin", AnimationTags = Tag) == none
									Utility.Wait(1)
									SexLab.Quickstart((Alias_Follower2.GetRef() as Actor), SexActor[E], victim = (Alias_Follower2.GetRef() as Actor), Hook = "Fin", AnimationTags = Tag)
									E += 1
									NumberOfActions += 1
								else
									E += 1
									NumberOfActions += 1
								endif
							endif
						endif
					endif
				endif
				If Alias_Follower3.GetRef() != none
					If ((((Alias_Follower3.GetRef() as actor).GetActorBase().GetSex() == 1 && MCM.FemalesOnly == true)) || MCM.FemalesOnly == false) && (MCM.follower == true)
						If NumberOfThreesomes > 0
							F = E + 1
							if SexLab.Quickstart((Alias_Follower3.GetRef() as Actor) ,SexActor[E] ,SexActor[F], victim = (Alias_Follower3.GetRef() as Actor), Hook = "Fin", AnimationTags = Tag) == none
								Utility.Wait(1)
								SexLab.Quickstart((Alias_Follower3.GetRef() as Actor) ,SexActor[E] ,SexActor[F], victim = (Alias_Follower3.GetRef() as Actor), Hook = "Fin", AnimationTags = Tag)
								NumberOfThreesomes -= 1
								E += 2
								NumberOfActions += 1
							else
								NumberOfThreesomes -= 1
								E += 2
								NumberOfActions += 1
							endif
						else
							if (Alias_Follower3.GetRef() as Actor).getActorBase().getSex() == 0 && SexActor[E].GetActorBase().getSex() == 1 && MCM.AltFemAnim == true
								if SexLab.Quickstart((Alias_Follower3.GetRef() as Actor), SexActor[E], victim = (Alias_Follower3.GetRef() as Actor), Hook = "Fin", AnimationTags = "Cowgirl, FM") == none
									Utility.Wait(1)
									SexLab.Quickstart((Alias_Follower3.GetRef() as Actor), SexActor[E], victim = (Alias_Follower3.GetRef() as Actor), Hook = "Fin", AnimationTags = "Cowgirl, FM")
									E += 1
									NumberOfActions += 1
								else	
									E += 1
									NumberOfActions += 1
								endif
							else
								if SexLab.Quickstart((Alias_Follower3.GetRef() as Actor), SexActor[E], victim = (Alias_Follower3.GetRef() as Actor), Hook = "Fin", AnimationTags = Tag) == none
									Utility.Wait(1)
									SexLab.Quickstart((Alias_Follower3.GetRef() as Actor), SexActor[E], victim = (Alias_Follower3.GetRef() as Actor), Hook = "Fin", AnimationTags = Tag)
									E += 1
									NumberOfActions += 1
								else
									E += 1
									NumberOfActions += 1
								endif
							endif
						endif
					endif
				endif
				If Alias_Follower4.GetRef() != none
					If ((((Alias_Follower4.GetRef() as actor).GetActorBase().GetSex() == 1 && MCM.FemalesOnly == true)) || MCM.FemalesOnly == false) && (MCM.follower == true)
						If NumberOfThreesomes > 0
							F = E + 1
							if SexLab.Quickstart((Alias_Follower4.GetRef() as Actor) ,SexActor[E] ,SexActor[F], victim = (Alias_Follower4.GetRef() as Actor), Hook = "Fin", AnimationTags = Tag) == none
								Utility.Wait(1)
								SexLab.Quickstart((Alias_Follower4.GetRef() as Actor) ,SexActor[E] ,SexActor[F], victim = (Alias_Follower4.GetRef() as Actor), Hook = "Fin", AnimationTags = Tag)
								NumberOfThreesomes -= 1
								E += 2
								NumberOfActions += 1
							else
								NumberOfThreesomes -= 1
								E += 2
								NumberOfActions += 1
							endif
						else
							if (Alias_Follower4.GetRef() as Actor).getActorBase().getSex() == 0 && SexActor[E].GetActorBase().getSex() == 1 && MCM.AltFemAnim == true
								if SexLab.Quickstart((Alias_Follower4.GetRef() as Actor), SexActor[E], victim = (Alias_Follower4.GetRef() as Actor), Hook = "Fin", AnimationTags = "Cowgirl, FM") == none
									Utility.Wait(1)
									SexLab.Quickstart((Alias_Follower4.GetRef() as Actor), SexActor[E], victim = (Alias_Follower4.GetRef() as Actor), Hook = "Fin", AnimationTags = "Cowgirl, FM")
									E += 1
									NumberOfActions += 1
								else
									E += 1
									NumberOfActions += 1
								endif
							else
								if SexLab.Quickstart((Alias_Follower4.GetRef() as Actor), SexActor[E], victim = (Alias_Follower4.GetRef() as Actor), Hook = "Fin", AnimationTags = Tag) == none
									Utility.Wait(1)
									SexLab.Quickstart((Alias_Follower4.GetRef() as Actor), SexActor[E], victim = (Alias_Follower4.GetRef() as Actor), Hook = "Fin", AnimationTags = Tag)
									E += 1
									NumberOfActions += 1
								else
									E += 1
									NumberOfActions += 1
								endif
							endif
						endif
					endif
				endif
			endif
		endif
	ElseIf iNightAttack == 0 ; Guard calls alarm
		If (Alias_Follower1.GetRef() != none) && (Alias_Follower1.GetRef() != NightGuard.GetRef())
			Debug.SendAnimationEvent((Alias_Follower1.GetRef() as Actor), "IdleLayDownEnterInstant")
		endif
		If (Alias_Follower2.GetRef() != none) && (Alias_Follower2.GetRef() != NightGuard.GetRef())
			Debug.SendAnimationEvent((Alias_Follower2.GetRef() as Actor), "IdleLayDownEnterInstant")
		endif
		If (Alias_Follower3.GetRef() != none) && (Alias_Follower3.GetRef() != NightGuard.GetRef())
			Debug.SendAnimationEvent((Alias_Follower3.GetRef() as Actor), "IdleLayDownEnterInstant")
		endif
		If (Alias_Follower4.GetRef() != none) && (Alias_Follower4.GetRef() != NightGuard.GetRef())
			Debug.SendAnimationEvent((Alias_Follower4.GetRef() as Actor), "IdleLayDownEnterInstant")
		endif	
		if (Alias_Aggressor1.GetRef() as Actor) != none
			(Alias_Aggressor1.GetRef() as Actor).MoveTo(Game.GetPlayer(), 75.0)
			(Alias_Aggressor1.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor2.GetRef() as Actor) != none
			(Alias_Aggressor2.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 75.0, 75.0)
			(Alias_Aggressor2.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor3.GetRef() as Actor) != none
			(Alias_Aggressor3.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 75.0, -75.0)
			(Alias_Aggressor3.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor4.GetRef() as Actor) != none
			(Alias_Aggressor4.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 75.0, 125.0)
			(Alias_Aggressor4.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor5.GetRef() as Actor) != none
			(Alias_Aggressor5.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 75.0, -125.0)
			(Alias_Aggressor5.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor6.GetRef() as Actor) != none
			(Alias_Aggressor6.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 125.0, 100.0)
			(Alias_Aggressor6.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor7.GetRef() as Actor) != none
			(Alias_Aggressor7.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 125.0, -100.0)
			(Alias_Aggressor7.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor8.GetRef() as Actor) != none
			(Alias_Aggressor8.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 125.0, 175.0)
			(Alias_Aggressor8.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor9.GetRef() as Actor) != none
			(Alias_Aggressor9.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 125.0, -175.0)
			(Alias_Aggressor9.GetRef() as Actor).Enable()
		endif
		if (Alias_Aggressor10.GetRef() as Actor) != none
			(Alias_Aggressor10.GetRef() as Actor).MoveTo((Alias_Aggressor1.GetRef() as Actor), 125.0)
			(Alias_Aggressor10.GetRef() as Actor).Enable()
		endif
		FadeToBlackHoldIMod.remove()
		SleepyTimeFadeIn.apply()
		FadeToBlackBackIMod.apply()
		Game.GetPlayer().PlayIdle(WakeUp)
		Utility.Wait(12)
		Game.EnablePlayerControls()
		If mcm.comments == true
			Debug.Notification("Alarm! We're under attack!")
		endif
		Utility.Wait(3)
		if (Alias_Aggressor1.GetRef() as Actor) != none
			(Alias_Aggressor1.GetRef() as Actor).SetAV("Aggression", 2)
			(Alias_Aggressor1.GetRef() as Actor).SetRelationshipRank(Game.GetPlayer(), -4)
		endif
		if (Alias_Aggressor2.GetRef() as Actor) != none
			(Alias_Aggressor2.GetRef() as Actor).SetAV("Aggression", 2)
			(Alias_Aggressor2.GetRef() as Actor).SetRelationshipRank(Game.GetPlayer(), -4)
		endif
		if (Alias_Aggressor3.GetRef() as Actor) != none
			(Alias_Aggressor3.GetRef() as Actor).SetAV("Aggression", 2)
			(Alias_Aggressor3.GetRef() as Actor).SetRelationshipRank(Game.GetPlayer(), -4)
		endif
		if (Alias_Aggressor4.GetRef() as Actor) != none
			(Alias_Aggressor4.GetRef() as Actor).SetAV("Aggression", 2)
			(Alias_Aggressor4.GetRef() as Actor).SetRelationshipRank(Game.GetPlayer(), -4)
		endif
		if (Alias_Aggressor5.GetRef() as Actor) != none
			(Alias_Aggressor5.GetRef() as Actor).SetAV("Aggression", 2)
			(Alias_Aggressor5.GetRef() as Actor).SetRelationshipRank(Game.GetPlayer(), -4)
		endif
		if (Alias_Aggressor6.GetRef() as Actor) != none
			(Alias_Aggressor6.GetRef() as Actor).SetAV("Aggression", 2)
			(Alias_Aggressor6.GetRef() as Actor).SetRelationshipRank(Game.GetPlayer(), -4)
		endif
		if (Alias_Aggressor7.GetRef() as Actor) != none
			(Alias_Aggressor7.GetRef() as Actor).SetAV("Aggression", 2)
			(Alias_Aggressor7.GetRef() as Actor).SetRelationshipRank(Game.GetPlayer(), -4)
		endif
		if (Alias_Aggressor8.GetRef() as Actor) != none
			(Alias_Aggressor8.GetRef() as Actor).SetAV("Aggression", 2)
			(Alias_Aggressor8.GetRef() as Actor).SetRelationshipRank(Game.GetPlayer(), -4)
		endif
		if (Alias_Aggressor9.GetRef() as Actor) != none
			(Alias_Aggressor9.GetRef() as Actor).SetAV("Aggression", 2)
			(Alias_Aggressor9.GetRef() as Actor).SetRelationshipRank(Game.GetPlayer(), -4)
		endif
		if (Alias_Aggressor10.GetRef() as Actor) != none
			(Alias_Aggressor10.GetRef() as Actor).SetAV("Aggression", 2)
			(Alias_Aggressor10.GetRef() as Actor).SetRelationshipRank(Game.GetPlayer(), -4)
		endif
	endIf
	GotoState("CleanUp")
	RegisterForSingleUpdate(UpdateInterval)
	EndFunction
EndState

State cleanup
	Function ADangerousNight() ;not the full clean up, but we prepare and the rest does the cleanup quest
		If Game.GetPlayer().HasSpell(Rested) == true
			Game.GetPlayer().RemoveSpell(Rested)
		elseIf Game.GetPlayer().HasSpell(WellRested) == true
			Game.GetPlayer().RemoveSpell(WellRested)
		elseIf Game.GetPlayer().HasSpell(MarriageRested) == true
			Game.GetPlayer().RemoveSpell(MarriageRested)
		endif
		Utility.Wait(12)
		If iNightAttack != 5
			If iNightAttack != 4
				If (Alias_Follower1.GetRef() != none) && (Alias_Follower1.GetRef() != NightGuard.GetRef() && (iNightAttack == 1 || iNightAttack == 2 || iNightAttack == 3))
					Debug.SendAnimationEvent((Alias_Follower1.GetRef() as Actor), "IdleForceDefaultState")
				endif
			endif
			If (Alias_Follower2.GetRef() != none) && (Alias_Follower2.GetRef() != NightGuard.GetRef() && (iNightAttack == 1 || iNightAttack == 2 || iNightAttack == 3))
				Debug.SendAnimationEvent((Alias_Follower2.GetRef() as Actor), "IdleForceDefaultState")
			endif
			If (Alias_Follower3.GetRef() != none) && (Alias_Follower3.GetRef() != NightGuard.GetRef() && (iNightAttack == 1 || iNightAttack == 2 || iNightAttack == 3))
				Debug.SendAnimationEvent((Alias_Follower3.GetRef() as Actor), "IdleForceDefaultState")
			endif
			If (Alias_Follower4.GetRef() != none) && (Alias_Follower4.GetRef() != NightGuard.GetRef() && (iNightAttack == 1 || iNightAttack == 2 || iNightAttack == 3))
				Debug.SendAnimationEvent((Alias_Follower4.GetRef() as Actor), "IdleForceDefaultState")
			endif
		endif
		If MCM.NoEscape == false
			If SuccssesfulScan == 0
				SLDN2_Escape.Start()
				Utility.Wait(1)
				if (Alias_Aggressor1.GetRef() as Actor) != none
					Clean01.ForceRefTo(Alias_Aggressor1.GetRef() as Actor)
				endif
				if (Alias_Aggressor2.GetRef() as Actor) != none
					Clean02.ForceRefTo(Alias_Aggressor2.GetRef() as Actor)
				endif
				if (Alias_Aggressor3.GetRef() as Actor) != none
					Clean03.ForceRefTo(Alias_Aggressor3.GetRef() as Actor)
				endif
				if (Alias_Aggressor4.GetRef() as Actor) != none
					Clean04.ForceRefTo(Alias_Aggressor4.GetRef() as Actor)
				endif
				if (Alias_Aggressor5.GetRef() as Actor) != none
					Clean05.ForceRefTo(Alias_Aggressor5.GetRef() as Actor)
				endif
				if (Alias_Aggressor6.GetRef() as Actor) != none
					Clean06.ForceRefTo(Alias_Aggressor6.GetRef() as Actor)
				endif
				if (Alias_Aggressor7.GetRef() as Actor) != none
					Clean07.ForceRefTo(Alias_Aggressor7.GetRef() as Actor)
				endif
				if (Alias_Aggressor8.GetRef() as Actor) != none
					Clean08.ForceRefTo(Alias_Aggressor8.GetRef() as Actor)
				endif
				if (Alias_Aggressor9.GetRef() as Actor) != none
					Clean09.ForceRefTo(Alias_Aggressor9.GetRef() as Actor)
				endif
				if (Alias_Aggressor10.GetRef() as Actor) != none
					Clean10.ForceRefTo(Alias_Aggressor10.GetRef() as Actor)
				endif
			endif
		endif
		GotoState("")
	EndFunction
EndState

Event SLDN (string eventName, string argString, float argNum, form sender)
	Utility.Wait(0.1)
	FinishedActions += 1
	RegisterForSingleUpdateGameTime(0.75)
	If FinishedActions >= NumberOfActions
		NumberOfActions = 0
		FinishedActions = 0
		SLDN2_Escape.SetStage(10)
	endif
EndEvent

Event OnUpdateGameTime()
	If SLDN2_Escape.GetStage() < 10
		SLDN2_Escape.SetStage(10)
	endif
endEvent

int Function NightAttack()
If (NightGuard.GetRef() as Actor) != none
	iWeHaveNightGuard = true
	float Pg = math.pow(1.333, fHour)
	If Utility.RandomInt(1, 100) <= Pg
		iWeHaveNightGuard = false ;our guard fell asleep so we have no guard
		if MCM.Comments == true
			Debug.Notification("Your guard fell asleep!")
		endif
	endif
endif
If iWeHaveNightGuard == true
	Int NightGuardArousal = (NightGuard.GetRef() as Actor).getFactionRank(sla_arousal)
	If NightGuardArousal < MCM.GuardArousal ; if guard is horny enough
		If Utility.RandomInt(1, 100) <= (fHour * 10) && MCM.Follower == true && ((((NightGuard.GetRef() as actor).GetActorBase().GetSex() == 1 && MCM.FemalesOnly == true)) || MCM.FemalesOnly == false); 10% chance per hour if the guard is subdued or calls alarm
			return 1 ; night guard is subdued
		else
			return 0
		endif
	else
		If Utility.RandomInt(1, 100) > MCM.TraitorChance && MCM.Traitors == true && ((((NightGuard.GetRef() as actor).GetActorBase().GetSex() == 1 && MCM.FemalesOnly == true)) || MCM.FemalesOnly == false); guard is too horny
			return 2 ;night guard turns on player
		else
			if MCM.follower == true && MCM.FollowerOnly == false && (((Game.GetPlayer().GetActorBase().GetSex() == 1 && MCM.FemalesOnly == true)) || MCM.FemalesOnly == false)
				return 3 ; night guard consens with attacker
			else
				return 0 ; night guard calls attack
			endif
		endif
	endif
else
	int iFollower = FollowerCount.getValue() as int
	if iFollower > 0 && MCM.FollowerOnly == false && MCM.Traitors == true && Utility.RandomInt(1, 100) <= MCM.TraitorChance
		return 4
	else
		return 5
	endif	
endif
endFunction

int Function DefineAttacker()
	If (Game.GetPlayer().getCurrentLocation().HasKeyWord(LocTypeDwelling) == true || Game.GetPlayer().GetCurrentLocation().haskeyword(loctypecity) == true || Game.GetPlayer().GetCurrentLocation().haskeyword(loctypetown) == true)
		Return 1 ; city
	elseIf Game.GetPlayer().getCurrentLocation().HasKeyWord(LocTypeBanditCamp) == true
		If mcm.creatures == true && Utility.RandomInt(1, 100) <= mcm.creaturechance
			If Utility.RandomInt(1, 2) == 1 && mcm.NoSpiders != true
				return 2 ; Spiders
			elseIF MCM.Wolves != true
				Return 3 ; wolves
			else
				int RandomD = Utility.RandomInt(1, 3)
				If RandomD == 1
					Return 4 ; bandits
				elseIf RandomD == 2
					Return 5 ; imperials
				else
					Return 6 ; stormcloaks
				endIf
			endIf
		else
			int RandomA = Utility.RandomInt(1, 3)
			If RandomA == 1
				Return 4
			elseIf RandomA == 2
				Return 5
			else
				Return 6
			endIf
		endIf		
	elseIf Game.GetPlayer().getCurrentLocation().HasKeyWord(LocTypeWarlockLair) == true
		If Utility.RandomInt(1, 2) == 1
			Return 7 ;warlocks
		else
			Return 8 ;vampires
		endIf
	elseIf Game.GetPlayer().getCurrentLocation().HasKeyWord(LocTypeDraugrCrypt) == true
		If Utility.RandomInt(1, 2) == 1 && (mcm.creatures == true && Utility.RandomInt(1, 100) <= mcm.creaturechance)
			Return 9 ;draugr
		else
			Return 7 
		endIf
	elseIf Game.GetPlayer().getCurrentLocation().HasKeyWord(LocTypeFalmerHive) == true || Game.GetPlayer().getCurrentLocation().HasKeyWord(LocTypeDwarvenAutomatons) == true
		If mcm.creatures == true && Utility.RandomInt(1, 100) <= mcm.creaturechance
			If mcm.NoChaurus != true && Utility.RandomInt(1, 2) == 1
				Return 10 ;chaurus
			else
				Return 11 ;falmer
			endif
		else
			Return 4
		endIf
	elseIf Game.GetPlayer().getCurrentLocation().HasKeyWord(LocTypeVampireLair) == true
		Return 8
	elseIf Game.GetPlayer().getCurrentLocation().HasKeyWord(LocTypeWerewolfLair) == true
		if mcm.creatures == true && Utility.RandomInt(1, 100) <= mcm.creaturechance
			Return 12 ;werewolf
		else
			Return 4
		endIf
	elseIf Game.GetPlayer().getCurrentLocation().HasKeyWord(LocTypeDungeon) == true
		If mcm.creatures == true && Utility.RandomInt(1, 100) <= mcm.creaturechance
			If Utility.RandomInt(1, 2) == 1 && mcm.NoSpiders != true
				Return 2
			else
				Return 3
			endif
		else
			int RandomB = Utility.RandomInt(1, 4)
			If RandomB == 1
				Return 4
			elseIf RandomB == 2
				Return 5
			elseIf RandomB == 3
				Return 6
			else
				Return 7
			endIf
		endIf
	else
		If mcm.creatures == true && Utility.RandomInt(1, 100) <= mcm.creaturechance
			If Utility.RandomInt(1, 2) == 1 && mcm.NoSpiders != true
				Return 2
			elseif MCM.Wolves != true
				Return 3
			else
				Return 4
			endif
		else
			Return 4
		endIf
	endIf
endFunction